-- vim: ts=2 sw=2 ai et enc=utf8 fenc=utf8
RaidChecklist = {}

local locale = GetLocale ()

-- This table contains the localized pet families. These MUST BE localized, or the pets won't get mapped to their de(buffs).
-- There's no way to get hold of an un-localized pet family name it seems :-/
RaidChecklistPetFamilies = {}
local P = RaidChecklistPetFamilies

-- Master string table, ideally localized.
RaidChecklistStrings = {}
local L = RaidChecklistStrings

-- We load the enUS strings as defaults, so if a locale doesn't override it, the enUS version gets used
P["ABYSSAL"] = "Abyssal"
P["BASILISK"] = "Basilisk"
P["BAT"] = "Bat"
P["BEAR"] = "Bear"
P["BEETLE"] = "Beetle"
P["BIRDOFPREY"] = "Bird of Prey"
P["BOAR"] = "Boar"
P["CARRIONBIRD"] = "Carrion Bird"
P["CAT"] = "Cat"
P["CHIMAERA"] = "Chimaera"
P["COREHOUND"] = "Core Hound"
P["CRAB"] = "Crab"
P["CRANE"] = "Crane"
P["CROCOLISK"] = "Crocolisk"
P["DEVILSAUR"] = "Devilsaur"
P["DIREHORN"] = "Direhorn"
P["DOG"] = "Dog"
P["DOOMGUARD"] = "Doomguard"
P["DRAGONHAWK"] = "Dragonhawk"
P["EARTHELEMENTAL"] = "Earth Elemental"
P["FELGUARD"] = "Felguard"
P["FELHUNTER"] = "Felhunter"
P["FELIMP"] = "Fel Imp"
P["FIREELEMENTAL"] = "Fire Elemental"
P["FOX"] = "Fox"
P["GEIST"] = "Geist"
P["GHOUL"] = "Ghoul"
P["GOAT"] = "Goat"
P["GORILLA"] = "Gorilla"
P["HYDRA"] = "Hydra"
P["HYENA"] = "Hyena"
P["IMP"] = "Imp"
P["MONKEY"] = "Monkey"
P["MOTH"] = "Moth"
P["NETHERRAY"] = "Nether Ray"
P["OBSERVER"] = "Observer"
P["PORCUPINE"] = "Porcupine"
P["QUILEN"] = "Quilen"
P["RAPTOR"] = "Raptor"
P["RAVAGER"] = "Ravager"
P["RHINO"] = "Rhino"
P["SCORPID"] = "Scorpid"
P["SERPENT"] = "Serpent"
P["SHALESPIDER"] = "Shale Spider"
P["SHIVARRA"] = "Shivarra"
P["SILITHID"] = "Silithid"
P["SPIDER"] = "Spider"
P["SPIRITBEAST"] = "Spirit Beast"
P["SPOREBAT"] = "Sporebat"
P["SUCCUBUS"] = "Succubus"
P["SupportedLocale"] = "SupportedLocale"
P["TALLSTRIDER"] = "Tallstrider"
P["TERRORGUARD"] = "Terrorguard"
P["TURTLE"] = "Turtle"
P["VOIDLORD"] = "Voidlord"
P["VOIDWALKER"] = "Voidwalker"
P["WARPSTALKER"] = "Warp Stalker"
P["WASP"] = "Wasp"
P["WATERELEMENTAL"] = "Water Elemental"
P["WATERSTRIDER"] = "Water Strider"
P["WINDSERPENT"] = "Wind Serpent"
P["WOLF"] = "Wolf"
P["WORM"] = "Worm"
P["WRATHGUARD"] = "Wrathguard"

L["ABOUT"] = "About"
L["ADVLIST"] = "Advanced lists"
L["ADVLISTDESC"] = "Per-class customized checklists, offering choices in both content and layout."
L["ANCHORLOCKED"] = "Locked"
L["ANCHORLOCKEDDESC"] = "Lock anchor button in place to prevent accidental moving of it."
L["AOESNARE"] = "Area Snare/Slow (100% uptime)"
L["AOESTUN"] = "Area Stun"
L["ATTACKPWR"] = "Attack Power"
L["ATTACKSPD"] = "Attack Speed"
L["AVAILABLEFROM"] = "Available from:"
L["BLOODELF"] = "Blood Elf"
L["BLOODLUST"] = "Bloodlust/Heroism"
L["BUFFS"] = "Buffs"
L["BURSTMAGICPROT"] = "Group Spell Protection"
L["BURSTMANA"] = "Mana Regeneration"
L["CASTSPD"] = "Slow Casting"
L["CC"] = "Crowd Control"
L["CCANY"] = "General - Any"
L["CCBEASTS"] = "General - Beasts"
L["CCDEMONS"] = "General - Demons"
L["CCDRAGONKIN"] = "General - Dragonkin"
L["CCELEMENTALS"] = "General - Elementals"
L["CCGIANTS"] = "General - Giants"
L["CCHUMANOIDS"] = "General - Humanoids"
L["CCUNDEAD"] = "General - Undead"
L["COMBATRES"] = "Combat Resurrect"
L["CONFIG"] = "Configuration"
L["CRIT"] = "Critical Strike"
L["CURSE"] = "Remove Curse"
L["DEBUFFS"] = "Debuffs"
L["DEFMAGIC"] = "Dispel Magic (defensive)"
L["DETAILS"] = "Detailed ability information:"
L["DETAILSSIDE"] = "Details panel side"
L["DETAILSSIDEDESC"] = "Side of the checklist to attach the detailed information panel to."
L["DISARM"] = "Disarm"
L["DISEASE"] = "Cure Disease"
L["DISPELS"] = "Dispels/Cures"
L["DOWNLEFT"] = "Down, Left"
L["DOWNRIGHT"] = "Down, Right"
L["ENRAGE"] = "Soothe Enrage (offensive)"
L["FEARANY"] = "Fear - Any"
L["FEARBEASTS"] = "Fear - Beasts"
L["FEARUNDEAD"] = "Fear - Demons & Undead"
L["FILTERGROUPS"] = "To facilitate raid composition, abilities from members in the selected groups are marked in green. Abilities provided only by members in non-selected groups are marked in blue."
L["FONTSIZE"] = "Font size"
L["FONTSIZEDESC"] = "Size of the font to use in the checklist."
L["GLYPH"] = " (glyph)"
L["GROUP"] = "Group"
L["HELP"] = "Help / F.A.Q."
L["HELP_COLORS"] = [=[Each entry in the checklist is color-coded according to its status:

|cffb4b4b4Gray|r - The ability is not currently provided by anyone.

|cff0066ffBlue|r - Someone has the ability to provide this ability, but is in a raid sub-group that has been filtered out. To make the ability available, either move that player to an included sub-group, or adjust the raid group filtering from the settings panel.

|cff00ff00Green|r - At least one player is currently providing the ability.

|cffff0000Red|r - All players providing the ability are offline.

]=]
L["HELP_COLORS_HDR"] = "What do the colors mean?"
L["HELP_COMMANDS"] = [=[RaidChecklist provides the commands /raidchecklist and /rcl to toggle the checklist with. There is also a keybind available for that action.

]=]
L["HELP_COMMANDS_HDR"] = "What chat commands are available?"
L["HELP_FLAG"] = [=[The flag is an indication that only a single player, you, can provide that particular ability. That makes it your responsibility to use it!

]=]
L["HELP_FLAG_HDR"] = "What does the |TInterface\\AddOns\\RaidChecklist\\Textures\\greenflag:0|t flag mean?"
L["HELP_HUNTERPETS"] = [=[Hunter pets are treated as an extension of the player, and RaidChecklist automatically updates to take into account any abilities provided by a summoned pet, be it yours or a group member's.

For hunters, RaidChecklist provides additional functionality. The first time you visit a stable master RaidChecklist will check what pets are "on call", and remember them. Abilities provided by the on-call pets are listed in blue in your checklist (but not anybody else's). If you see a blue |TInterface\AddOns\RaidChecklist\Textures\blueflag:0|t flag in your checklist, that is a good indication that you should consider calling the pet providing that ability, as you are the only one capable of providing it in the current group or raid.

]=]
L["HELP_HUNTERPETS_HDR"] = "How are hunter pets handled?"
L["HELP_INCOMBAT"] = [=[That depends. RaidChecklist doesn't continuously scan for changes to the group setup the way some add-ons do. Instead it listens for game events which indicate that something of note has changed, such as a pet being summoned, someone doing a talent-respec, a player leaving the group, et.c. If such an event does happen while in combat then RaidChecklist updates, otherwise it doesn't.

Typically any actions performed by RaidChecklist will be so minimal they aren't even noticeable. The worst case scenario is probably if you join a raid in progress and accept a warlock's summon straight into combat. All of a sudden a lot of players will become available for talent inspection, which might possibly impact game performance if you are on a slow enough connection. Chances are it will still be imperceptible though.

]=]
L["HELP_INCOMBAT_HDR"] = "Does RaidChecklist update while in combat?"
L["HELP_INTRO"] = [=[RaidChecklist provides an overview of whether key abilities are available within the current group/raid. It is intended both as an aid for putting together balanced raid groups and as a way to give individual players a quick reference of abilities. With RaidChecklist you get an up-to-date view over the potential abilities in the group or raid.

RaidChecklist also functions like an in-game database of raid-related abilities, organized by category and effect.

What RaidChecklist is not, is a buff/debuff monitor. It does not track actual use of abilities, or provide uptime statistics of them. Such tasks are already handled by other addons, such as PallyPower or Recount, not to mention the off-line combat log analyzers.

]=]
L["HELP_INTRO_HDR"] = "Introduction - What does it do?"
L["HELP_LINKING"] = [=[Yes! Simply open the details pane by clicking on any entry in the checklist, then shift-click the ability you want to link.

]=]
L["HELP_LINKING_HDR"] = "Can you link the abilities to chat?"
L["HELP_TALENTSCAN"] = [=[As of the Mists of Pandaria expansion, inspections are possible remotely. This means RaidChecklist no longer needs to wait for a player to move into range to inspect them. The downside to the changes introduced by Mists of Pandaria is that there is no way to automatically detect when a group member re/un/talents or re/glyphs. Dual-spec swaps are detectable (and detected) however.

]=]
L["HELP_TALENTSCAN_HDR"] = "Why do talents appear even when out of range?"
L["HUNTERPETABILITIES"] = "Hunter Pet Abilities"
L["INSPECTQUEUE"] = "Yet to inspect:"
L["INTERRUPT"] = "Interrupt (cooldown <= 30s)"
L["INTERRUPT2"] = "Interrupt (cooldown > 30s)"
L["KNOCKBACK"] = "Knockback (cooldown <= 45s)"
L["LDBTOOLTIP"] = [=[Left-click to toggle raid checklist.
Right-click for configuration options.]=]
L["LEFT"] = "Left"
L["LEVEL"] = "level"
L["LIST_PERSONAL_BRIEF"] = "Personal (Brief)"
L["LIST_PERSONAL_FULL"] = "Personal (Full)"
L["LIST_RAIDLEADER_BRIEF"] = "Raid Leader (Brief)"
L["LIST_RAIDLEADER_FULL"] = "Raid Leader (Full)"
L["LISTSUFFIX_B"] = " (Brief)"
L["LISTSUFFIX_CB"] = " (Brief/Compact)"
L["LISTSUFFIX_CF"] = " (Full/Compact)"
L["LISTSUFFIX_F"] = " (Full)"
L["LISTSUFFIX_P"] = " (Pets only)"
L["MASTERY"] = "Mastery"
L["MISC"] = "Miscellaneous"
L["MISSINGTALENTS"] = "Talents not yet inspected for:"
L["MOBILITY_CONTROL"] = "Mobility Control"
L["MORTALSTRIKE"] = "Mortal Wounds"
L["NOBODY"] = "<nobody>"
L["NORMAL"] = "Normal"
L["NOWINSPECTING"] = "Now inspecting:"
L["OFFLINE"] = "(offline)"
L["OFFMAGIC"] = "Dispel Magic (offensive)"
L["OPACITY"] = "List opacity"
L["OPACITYDESC"] = "Determines transparency of the checklist. A value of 0 means fully transparent, and a value of 1 fully opaque."
L["OPENDIRECTION"] = "List direction"
L["OPENDIRECTIONDESC"] = "Direction to open the checklist in, relative to the anchor button."
L["PET"] = " pet: "
L["PHYSDMGTAKEN"] = "Physical Vulnerability"
L["PHYSHASTE"] = "Attack Speed"
L["POISON"] = "Cleanse Poison"
L["PROFILES"] = "Profiles"
L["PROVIDEDBY"] = "Provided by:"
L["Raid Checklist"] = "Raid Checklist"
L["RAIDCHECKLIST_TOGGLE"] = "Toggle Raid Checklist"
L["RESCAN"] = "Rescan"
L["RESCANHELP"] = "Force a rescan of all group members."
L["RESETANCHOR"] = "Reset button position"
L["RESETANCHORDESC"] = "Repositions the anchor button to the center of the screen."
L["RIGHT"] = "Right"
L["ROOT"] = "Root (100% uptime)"
L["SETTINGS"] = "Settings"
L["SHOWANCHOR"] = "Show anchor button"
L["SHOWANCHORDESC"] = "When using DataBroker displays, it might not be necessary to display the main anchor button."
L["SMALL"] = "Small"
L["SNARE"] = "Snare/Slow (100% uptime)"
L["SPELLDMGTAKEN"] = "Magic Vulnerability"
L["SPELLHASTE"] = "Spell Haste"
L["SPELLPWR"] = "Spell Power"
L["STAM"] = "Stamina"
L["STATS"] = "Stats"
L["STDLIST"] = "Standard lists"
L["STDLISTDESC"] = "Most commonly used checklists. Automatically adjust to the class of your character."
L["STUN"] = "Stun"
L["SUNDER"] = "Weakened Armor"
L["SUPPORT"] = "Support"
L["TALENT"] = "talent"
L["TOOLTIP_PASSIVE"] = " (passive)"
L["TOOLTIP_TALENT"] = " (talent)"
L["TOTEMS"] = "Totems"
L["TRANSLATORS"] = "Anyia"
L["UPLEFT"] = "Up, Left"
L["UPRIGHT"] = "Up, Right"
L["WARLOCKPETABILITIES"] = "Warlock Pet Abilities"
L["WEAKBLOWS"] = "Weakened Blows"


if locale == "enUS" then
  P.SupportedLocale = true
else
  -- Assume unsupported until told otherwise
  P.SupportedLocale = nil

  -- Buffs & debuff names, default to the official Blizzard categories until everyone's got them added
  -- Apparently Blizz was "helpful" and line-wrapped & hyphenated these in some languages. /sigh
  L.CRIT            = RAID_BUFF_7
  L.ATTACKPWR       = RAID_BUFF_3
  L.SPELLPWR        = RAID_BUFF_5
  L.PHYSHASTE       = RAID_BUFF_4
  L.SPELLHASTE      = RAID_BUFF_6
  L.STATS           = RAID_BUFF_1
  L.STAM            = RAID_BUFF_2
  L.MASTERY         = RAID_BUFF_8
end

if locale == "deDE" then
P["ABYSSAL"] = "Abyssal" -- Needs review
P["BASILISK"] = "Basilisk" -- Needs review
P["BAT"] = "Fledermaus"
P["BEAR"] = "Bär"
P["BEETLE"] = "Käfer"
P["BIRDOFPREY"] = "Raubvogel"
P["BOAR"] = "Eber"
P["CARRIONBIRD"] = "Aasvogel"
P["CAT"] = "Katze"
P["CHIMAERA"] = "Schimäre"
P["COREHOUND"] = "Kernhund"
P["CRAB"] = "Krebs"
P["CRANE"] = "Kranich" -- Needs review
P["CROCOLISK"] = "Krokilisk"
P["DEVILSAUR"] = "Teufelssaurier"
P["DIREHORN"] = "Terrorhorn" -- Needs review
P["DOG"] = "Hund"
P["DOOMGUARD"] = "Verdammniswache"
P["DRAGONHAWK"] = "Drachenfalke"
P["EARTHELEMENTAL"] = "Erdelementar" -- Needs review
P["FELGUARD"] = "Teufelswache"
P["FELHUNTER"] = "Teufelsjäger"
P["FELIMP"] = "Teufelswichtel" -- Needs review
P["FIREELEMENTAL"] = "Feuerelementar" -- Needs review
P["FOX"] = "Fuchs"
P["GEIST"] = "Spuk" -- Needs review
P["GHOUL"] = "Ghul"
P["GOAT"] = "Ziege" -- Needs review
P["GORILLA"] = "Gorilla"
P["HYDRA"] = "Hydra"
P["HYENA"] = "Hyäne"
P["IMP"] = "Wichtel"
P["MONKEY"] = "Affe"
P["MOTH"] = "Motte"
P["NETHERRAY"] = "Netherrochen"
P["OBSERVER"] = "Beobachter" -- Needs review
P["PORCUPINE"] = "Stachelschwein" -- Needs review
P["QUILEN"] = "Qilen" -- Needs review
P["RAPTOR"] = "Raptor"
P["RAVAGER"] = "Felshetzer"
P["RHINO"] = "Rhinozeros"
P["SCORPID"] = "Skorpid"
P["SERPENT"] = "Schlange"
P["SHALESPIDER"] = "Schieferspinne"
P["SHIVARRA"] = "Shivarra" -- Needs review
P["SILITHID"] = "Silithid"
P["SPIDER"] = "Spinne"
P["SPIRITBEAST"] = "Geisterbestie"
P["SPOREBAT"] = "Sporensegler"
P["SUCCUBUS"] = "Sukkubus"
P["SupportedLocale"] = "hopefully" -- Needs review
P["TALLSTRIDER"] = "Weitschreiter"
P["TERRORGUARD"] = "Terrorwache" -- Needs review
P["TURTLE"] = "Schildkröte"
P["VOIDLORD"] = "Leerenfürst" -- Needs review
P["VOIDWALKER"] = "Leerwandler"
P["WARPSTALKER"] = "Sphärenjäger"
P["WASP"] = "Wespe"
P["WATERELEMENTAL"] = "Wasserelementar"
P["WATERSTRIDER"] = "Wasserschreiter" -- Needs review
P["WINDSERPENT"] = "Windnatter"
P["WOLF"] = "Wolf"
P["WORM"] = "Wurm"
P["WRATHGUARD"] = "Zornwächter" -- Needs review

L["ABOUT"] = "Über" -- Needs review
L["ADVLIST"] = "Erweiterte Listen" -- Needs review
L["ADVLISTDESC"] = "Klassenbasierte, angepaßte Checklisten, die Auswahlmöglichkeiten in Bezug auf Inhalt und Aussehen bieten." -- Needs review
L["ANCHORLOCKED"] = "RCL verankern"
L["ANCHORLOCKEDDESC"] = "Verankert Raid Checklist an seiner momentanen Position, um zu verhinderen, dass es verschoben wird."
L["AOESNARE"] = "Flächenfalle/-Verlangsamung" -- Needs review
L["AOESTUN"] = "Flächen-Betäubung" -- Needs review
L["ATTACKPWR"] = "Angriffskraft" -- Needs review
L["ATTACKSPD"] = "Angriffstempo" -- Needs review
L["AVAILABLEFROM"] = "Verfügbar von:"
L["BLOODELF"] = "Blutelf"
L["BLOODLUST"] = "Kampfrausch/Heldentum" -- Needs review
L["BUFFS"] = "Stärkungszauber"
L["BURSTMAGICPROT"] = "Gruppen-Zauberschutz" -- Needs review
L["BURSTMANA"] = "Erhöhte Mana-Regeneration" -- Needs review
L["CASTSPD"] = "Zauberzeit-Verlangsamung" -- Needs review
L["CC"] = "Gruppenkontrolle" -- Needs review
L["CCANY"] = "Jeden"
L["CCBEASTS"] = "Wildtiere"
L["CCDEMONS"] = "Dämonen"
L["CCDRAGONKIN"] = "Drachkin"
L["CCELEMENTALS"] = "Elementare"
L["CCGIANTS"] = "Riesen"
L["CCHUMANOIDS"] = "Humanoide"
L["CCUNDEAD"] = "Untote"
L["COMBATRES"] = "Wiederbelebung im Kampf" -- Needs review
L["CONFIG"] = "Konfiguration"
L["CRIT"] = "Kritische Trefferchance" -- Needs review
L["CURSE"] = "Fluch entfernen"
L["DEBUFFS"] = "Schwächungszauber"
L["DEFMAGIC"] = "entzaubert Magie (defensiv)"
L["DETAILS"] = "Ausführliche Fähigkeiten-Beschreibung:" -- Needs review
L["DETAILSSIDE"] = "Detailfenster-Ausrichtung" -- Needs review
L["DETAILSSIDEDESC"] = "Die Seite der Checkliste, auf welcher das Detailfenster angedockt wird." -- Needs review
L["DISARM"] = "Entwaffnen"
L["DISEASE"] = "heilt Krankheit"
L["DISPELS"] = "Entzaubert/Entflucht"
L["DOWNLEFT"] = "Unten, Links"
L["DOWNRIGHT"] = "Unten, Rechts"
L["ENRAGE"] = "beruhig Wut (offensiv)"
L["FEARANY"] = "Furcht - Jeden"
L["FEARBEASTS"] = "Furcht - Wildtiere"
L["FEARUNDEAD"] = "Furcht - Dämonen & Untote"
L["FILTERGROUPS"] = "Um Raidzusammenstellungen zu erleichtern, werden die Fähigkeiten der Mitglieder in den ausgewählten Gruppen grün makiert. Die Fähigkeiten der Mitglieder in nicht ausgewählten Gruppen werden rot makiert."
L["FONTSIZE"] = "Schriftgröße" -- Needs review
L["FONTSIZEDESC"] = "Die Schriftgröße für die Checkliste." -- Needs review
L["GLYPH"] = "(Glyphe)" -- Needs review
L["GROUP"] = "Gruppe"
L["HELP"] = "Hilfe / F.A.Q." -- Needs review
L["HELP_COLORS"] = [=[Jeder Eintrag in der Checkliste ist seinem Status entsprechend farblich kodiert:

|cffb4b4b4Grau|r - Die Fähigkeit wird momentan von niemandem bereitgestellt.

|cff0066ffBlau|r - Jemand kann diese Fähigkeit bereitstellen, befindet sich aber in einer Raid-Untergruppe, welche ausgefiltert wurde. Um die Fähigkeit verfügbar zu machen, verschiebe den Spieler entweder in eine enthaltene Untergruppe, oder passe die Raidgruppen-Filterung auf der Einstellungsseite an.

|cff00ff00Grün|r - Mindestens ein Spieler stellt diese Fähigkeit derzeit bereit.

|cffff0000Rot|r - Alle Spieler mit dieser Fähigkeit sind offline.
]=] -- Needs review
L["HELP_COLORS_HDR"] = "Was bedeuten die Farben?" -- Needs review
L["HELP_COMMANDS"] = [=[RaidChecklist kennt die Befehle /raidchecklist and /rcl zum Ein- und Ausblenden der Checkliste. Es gibt außerdem eine Tastaturbelegung für diese Aktion.
]=] -- Needs review
L["HELP_COMMANDS_HDR"] = "Welche Chat-Kommandos sind verfügbar?" -- Needs review
L["HELP_FLAG"] = "Das Fähnchen zeigt an, daß ein einziger Spieler, nämlich Du, eine bestimmte Fähigkeit beisteuern kann. Es liegt in Deiner Verantwortung, dies zu tun!" -- Needs review
L["HELP_FLAG_HDR"] = "Was bedeutet das |TInterface\\AddOns\\RaidChecklist\\Textures\\greenflag:0|t Fähnchen?" -- Needs review
L["HELP_HUNTERPETS"] = [=[Jäger-Begleiter werden als "Erweiterung" des Spielers betrachtet und RaidChecklist aktualisiert sich automatisch, um alle Fähigkeiten zu berücksichtigen, die durch herbeigerufene Begleiter zur Verfügung gestellt werden, egal ob es sich dabei um Deinen oder den eines Gruppen/Raidmitglieds handelt.

Für Jäger bietet RaidChecklist zusätzliche Möglichkeiten. Wenn Du das erste Mal einen Stallmeister besuchst, überprüft RaidChecklist, welche Begleiter Du "für unterwegs" dabei hast, und merkt sich diese. Fähigkeiten, die mitgeführte Begleiter zur Verfügung stellen, werden auf Deiner Checkliste blau dargestellt (aber nicht auf der anderer Spieler). Wenn Du ein blaues |TInterface\AddOns\RaidChecklist\Textures\blueflag:0|t Fähnchen in Deiner Checkliste siehst, spricht viel dafür, daß Du den Begleiter rufen solltest, der diese Fähigkeit bereitstellt, da diese niemand sonst außer Dir in der aktuellen Gruppe bzw. im Raid hat.
]=] -- Needs review
L["HELP_HUNTERPETS_HDR"] = "Wie werden Jäger-Begleiter gehandhabt?" -- Needs review
L["HELP_INCOMBAT"] = [=[Das kommt drauf an. RaidChecklist überprüft nicht ununterbrochen Änderungen an der Gruppenzusammenstellung in der Art und Weise, wie es manche Addons tun. Stattdessen wartet es auf Spielereignisse, die darauf hinweisen, daß sich etwas Wichtiges verändert hat, beispielsweise das Herbeirufen eines Begleiters, einen Talentwechsel, das Verlassen der Gruppe durch einen Spieler, etc. Wenn ein solche Ereignis im Kampf eintritt, aktualisiert sich RaidChecklist, anderenfalls nicht.

Normalerweise arbeitet RaidChecklist derart resourcenschonend, daß es nicht einmal bemerkbar ist. Der schlimmste denkbare Fall ist wohl, wenn Du Dich einer im Kampf befindlichen Raidgruppe anschließt und die Beschwörung eines Hexenmeisters annimmst -- mitten hinein ins Schlachtengetümmel. Urplötzlich sind da viele Spieler, deren Talente überprüft werden können, wodurch sich möglicherweise die Spielperformance verschlechtert, falls Deine Verbindung nicht sonderlich schnell ist. Es ist allerdings auch dann noch gut möglich, daß es sich kaum störend bemerkbar macht.]=] -- Needs review
L["HELP_INCOMBAT_HDR"] = "Aktualisiert sich RaidChecklist im Kampf?" -- Needs review
L["HELP_INTRO"] = [=[RaidChecklist bietet einen Überblick der verfügbaren Schlüsselfähigkeiten im aktuellen Raid / der aktuellen Gruppe. Es ist als Hilfe für die Zusammenstellung eines ausgewogenen Raids gedacht, und gleichermaßen für den einzelnen Spieler als schnelles "Nachschlagewerk" aller Fähigkeiten. Mit RaidChecklist erhältst Du einen einen aktuellen Überblick der potentiellen Fähigkeiten in der Gruppe bzw. im Raid.

RaidChecklist funktioniert darüber hinaus wie eine ins Spiel integrierte Datenbank der Raid-relevanten Fähigkeiten, strukturiert nach Kategorie und Effekt.

Allerdings ist RaidChecklist kein Buff- oder Debuff-Monitor. Es registriert weder die tatsächliche Verwendung von Fähigkeiten, noch liefert es eine Statistik über die Häufigkeit ihrer Anwendung. Derartige Aufgaben werden bereits durch andere Addons erledigt, beispielsweise PallyPower oder Recount, ganz zu schweigen von diversen Offline-Kampflog-Analysewerkzeugen.
]=] -- Needs review
L["HELP_INTRO_HDR"] = "Einleitung - Was macht es?" -- Needs review
L["HELP_LINKING"] = "Ja! Öffne einfach das Detailfenster durch den Klick auf einen Eintrag in der Checkliste, dann Shift-klicke auf die zu verlinkende Fähigkeit!" -- Needs review
L["HELP_LINKING_HDR"] = "Kann man die Fähigkeiten im Chat verlinken?" -- Needs review
L["HELP_TALENTSCAN"] = [=[Mit der Erweiterung Mists of Pandaria sind Überprüfungen aus der Ferne möglich. Das bedeutet, RaidChecklist muß nicht länger darauf warten, daß ein Spieler in Reichweite kommt, um ihn zu überprüfen. Der Nachteil dieser Änderungen, die durch Mists of Pandaria eingeführt wurden, ist, daß es keinen Weg mehr gibt, automatisch zu erkennen, wenn ein Spieler Talente oder Glyphen ändert. Der Wechsel der Talentspezialisierung allerdings ist feststellbar (und wird auch erkannt).
]=] -- Needs review
L["HELP_TALENTSCAN_HDR"] = "Warum erscheinen die Talente auch außerhalb der Reichweite?" -- Needs review
L["HUNTERPETABILITIES"] = "Jäger-Begleiterfähigkeiten" -- Needs review
L["INSPECTQUEUE"] = "Noch zu überprüfen:"
L["INTERRUPT"] = "Unterbrechen (Abklingzeit <= 30s)"
L["INTERRUPT2"] = "Unterbrechen (Abklingzeit > 30s)"
L["KNOCKBACK"] = "Zurückstoßen (Abklingzeit <= 45s)" -- Needs review
L["LDBTOOLTIP"] = [=[Links-Klick um die Checkliste ein/auszublenden.
Rechts-Klick um das Optionsfenster zu öffnen.]=] -- Needs review
L["LEFT"] = "Links" -- Needs review
L["LEVEL"] = "Stufe" -- Needs review
L["LIST_PERSONAL_BRIEF"] = "Eigene (Kurz)" -- Needs review
L["LIST_PERSONAL_FULL"] = "Eigene (Alles)" -- Needs review
L["LIST_RAIDLEADER_BRIEF"] = "Raidleiter (Kurz)" -- Needs review
L["LIST_RAIDLEADER_FULL"] = "Raidleiter (Alles)" -- Needs review
L["LISTSUFFIX_B"] = "(Kurz)" -- Needs review
L["LISTSUFFIX_CB"] = "(Kurz/Kompakt)" -- Needs review
L["LISTSUFFIX_CF"] = "(Alles/Kompakt)" -- Needs review
L["LISTSUFFIX_F"] = "(Alles)" -- Needs review
L["LISTSUFFIX_P"] = "(Nur Begleiter)" -- Needs review
L["MASTERY"] = "Meisterschaft" -- Needs review
L["MISC"] = "Diverses"
L["MISSINGTALENTS"] = "Überprüfung der Talente fehlt für:"
L["MOBILITY_CONTROL"] = "Bewegungskontrolle" -- Needs review
L["MORTALSTRIKE"] = "Tötliche Wunden" -- Needs review
L["NOBODY"] = "<Niemand>"
L["NORMAL"] = "Normal" -- Needs review
L["NOWINSPECTING"] = "Überprüfe:"
L["OFFLINE"] = "(Offline)"
L["OFFMAGIC"] = "entzaubert Magie (offensiv)"
L["OPACITY"] = "Listen-Transparenz" -- Needs review
L["OPACITYDESC"] = "Legt die Transparenz der Checkliste fest. Ein Wert von 0 bedeutet komplett durchsichtig, und ein Wert von 1 komplett sichtbar." -- Needs review
L["OPENDIRECTION"] = "Ausrichtung"
L["OPENDIRECTIONDESC"] = "Richtung, in welche sich die Checkliste ausgehend vom Raid Checklist Knopf öffnet." -- Needs review
L["PET"] = " Begleiter: "
L["PHYSDMGTAKEN"] = "Physische Verwundbarkeit" -- Needs review
L["PHYSHASTE"] = "Angriffstempo" -- Needs review
L["POISON"] = "reinigt Gift"
L["PROFILES"] = "Profile" -- Needs review
L["PROVIDEDBY"] = "Zur Verfügung gestellt von:"
L["Raid Checklist"] = "Raid Checklist"
L["RAIDCHECKLIST_TOGGLE"] = "Raid Checklist ein/ausblenden" -- Needs review
L["RESCAN"] = "Erneut überprüfen" -- Needs review
L["RESCANHELP"] = "Erzwinge eine erneute Überprüfung aller Gruppenmitglieder." -- Needs review
L["RESETANCHOR"] = "Position zurücksetzen"
L["RESETANCHORDESC"] = "Setzt den Raid Checklist Knopf zurück in die Mitte des Bildschirms." -- Needs review
L["RIGHT"] = "Rechts" -- Needs review
L["ROOT"] = "Wurzeln"
L["SETTINGS"] = "Einstellungen" -- Needs review
L["SHOWANCHOR"] = "Zeige RCL Knopf"
L["SHOWANCHORDESC"] = "Bei Verwendung von DataBroker-Anzeigen ist es nicht unbedingt erforderlich, auch den Raid Checklist Knopf anzeigen zu lassen." -- Needs review
L["SMALL"] = "Klein" -- Needs review
L["SNARE"] = "Falle/Verlangsamen"
L["SPELLDMGTAKEN"] = "Magische Verwundbarkeit" -- Needs review
L["SPELLHASTE"] = "Zaubertempo" -- Needs review
L["SPELLPWR"] = "Zaubermacht" -- Needs review
L["STAM"] = "Ausdauer" -- Needs review
L["STATS"] = "Werte" -- Needs review
L["STDLIST"] = "Standard-Listen" -- Needs review
L["STDLISTDESC"] = "Die am häufigsten verwendeten Checklisten. Passen sich automatisch Deiner Charakterklasse an." -- Needs review
L["STUN"] = "Betäubung" -- Needs review
L["SUNDER"] = "Geschwächte Rüstung" -- Needs review
L["SUPPORT"] = "Unterstützung" -- Needs review
L["TALENT"] = "Talent" -- Needs review
L["TOOLTIP_PASSIVE"] = " <passiv>" -- Needs review
L["TOOLTIP_TALENT"] = " (Talent)" -- Needs review
L["TOTEMS"] = "Totems" -- Needs review
L["TRANSLATORS"] = "Morrtin, Anyia" -- Needs review
L["UPLEFT"] = "Oben, Links"
L["UPRIGHT"] = "Oben, Rechts"
L["WARLOCKPETABILITIES"] = "Hexenmeister-Begleiterfähigkeiten" -- Needs review
L["WEAKBLOWS"] = "Kampfesmüdigkeit" -- Needs review

elseif locale == "esES" then
P["ABYSSAL"] = "Abisal" -- Needs review
P["BASILISK"] = "Basilisco" -- Needs review
P["BAT"] = "Murciélago" -- Needs review
P["BEAR"] = "Oso" -- Needs review
P["BEETLE"] = "Alfazaque" -- Needs review
P["BIRDOFPREY"] = "Ave rapaz" -- Needs review
P["BOAR"] = "Jabalí" -- Needs review
P["CARRIONBIRD"] = "Carroñero" -- Needs review
P["CAT"] = "Felino" -- Needs review
P["CHIMAERA"] = "Quimera" -- Needs review
P["COREHOUND"] = "Can del Núcleo" -- Needs review
P["CRAB"] = "Cangrejo" -- Needs review
P["CRANE"] = "Grulla" -- Needs review
P["CROCOLISK"] = "Crocolisco" -- Needs review
P["DEVILSAUR"] = "Demosaurio" -- Needs review
P["DIREHORN"] = "Cuernoatroz" -- Needs review
P["DOG"] = "Perro" -- Needs review
P["DOOMGUARD"] = "Guardia apocalíptico" -- Needs review
P["DRAGONHAWK"] = "Dracohalcón" -- Needs review
P["EARTHELEMENTAL"] = "Elemental de tierra" -- Needs review
P["FELGUARD"] = "Guardia vil" -- Needs review
P["FELHUNTER"] = "Manáfago" -- Needs review
P["FELIMP"] = "Diablillo Vil" -- Needs review
P["FIREELEMENTAL"] = "Elemental de fuego" -- Needs review
P["FOX"] = "Zorro" -- Needs review
P["GEIST"] = "Geist" -- Needs review
P["GHOUL"] = "necrófago" -- Needs review
P["GOAT"] = "Cabra" -- Needs review
P["GORILLA"] = "Gorila" -- Needs review
P["HYDRA"] = "Hidra" -- Needs review
P["HYENA"] = "Hiena" -- Needs review
P["IMP"] = "Diablillo" -- Needs review
P["MONKEY"] = "Mono" -- Needs review
P["MOTH"] = "Palomilla" -- Needs review
P["NETHERRAY"] = "Raya abisal" -- Needs review
P["OBSERVER"] = "Observador" -- Needs review
P["PORCUPINE"] = "Puercoespín" -- Needs review
P["QUILEN"] = "Quilen" -- Needs review
P["RAPTOR"] = "Raptor" -- Needs review
P["RAVAGER"] = "Devastador" -- Needs review
P["RHINO"] = "Rinoceronte" -- Needs review
P["SCORPID"] = "Escórpido" -- Needs review
P["SERPENT"] = "Serpiente" -- Needs review
P["SHALESPIDER"] = "Araña de esquisto" -- Needs review
P["SHIVARRA"] = "Shivarra" -- Needs review
P["SILITHID"] = "Silítido" -- Needs review
P["SPIDER"] = "Araña" -- Needs review
P["SPIRITBEAST"] = "Bestia espíritu" -- Needs review
P["SPOREBAT"] = "Esporiélago" -- Needs review
P["SUCCUBUS"] = "Súcubo" -- Needs review
P["SupportedLocale"] = "partial" -- Needs review
P["TALLSTRIDER"] = "Zancaalta" -- Needs review
P["TERRORGUARD"] = "Guarda terrorífico" -- Needs review
P["TURTLE"] = "Tortuga" -- Needs review
P["VOIDLORD"] = "Señor del vacio" -- Needs review
P["VOIDWALKER"] = "Abisario" -- Needs review
P["WARPSTALKER"] = "Acechador deformado" -- Needs review
P["WASP"] = "Avispa" -- Needs review
P["WATERELEMENTAL"] = "Elemental de agua" -- Needs review
P["WATERSTRIDER"] = "Zancudo acuático" -- Needs review
P["WINDSERPENT"] = "Dragón alado" -- Needs review
P["WOLF"] = "Lobo" -- Needs review
P["WORM"] = "Gusano" -- Needs review
P["WRATHGUARD"] = "Guardia de cólera" -- Needs review

L["ABOUT"] = "Aderca de" -- Needs review
L["ADVLIST"] = "Listas avanzadas" -- Needs review
L["ADVLISTDESC"] = "Listas personalizadas por clase, ofreciendo opciones en contenido y diseño." -- Needs review
L["ANCHORLOCKED"] = "Bloqueado" -- Needs review
L["ANCHORLOCKEDDESC"] = "Bloquear boton ancla para evitar moverlo accidentalmente" -- Needs review
L["AOESNARE"] = "Frenar/Ralentizar en area (100% activo)" -- Needs review
L["AOESTUN"] = "Aturdir en area" -- Needs review
L["ATTACKPWR"] = "Poder de ataque" -- Needs review
L["ATTACKSPD"] = "Velocidad de ataque" -- Needs review
-- L["AVAILABLEFROM"] = ""
L["BLOODELF"] = "Elfo de sangre" -- Needs review
L["BLOODLUST"] = "Sed de sangre/Heroismo" -- Needs review
L["BUFFS"] = "Beneficio" -- Needs review
-- L["BURSTMAGICPROT"] = ""
L["BURSTMANA"] = "Regeneración de maná" -- Needs review
-- L["CASTSPD"] = ""
L["CC"] = "Control de masas" -- Needs review
L["CCANY"] = "General - Todos" -- Needs review
L["CCBEASTS"] = "General - Bestias" -- Needs review
L["CCDEMONS"] = "General - Demonios" -- Needs review
L["CCDRAGONKIN"] = "General - Dragonantes" -- Needs review
L["CCELEMENTALS"] = "General - Elementales" -- Needs review
L["CCGIANTS"] = "General - Gigantes" -- Needs review
L["CCHUMANOIDS"] = "General - Humanoides" -- Needs review
L["CCUNDEAD"] = "General - No-muertos" -- Needs review
L["COMBATRES"] = "Resurrección en combate" -- Needs review
L["CONFIG"] = "COnfiguración" -- Needs review
L["CRIT"] = "Golpe crítico" -- Needs review
L["CURSE"] = "Eliminar maldición" -- Needs review
L["DEBUFFS"] = "Perjuicio" -- Needs review
L["DEFMAGIC"] = "Disipar magia (defensivo)" -- Needs review
L["DETAILS"] = "Información detallada de la habilidad:" -- Needs review
-- L["DETAILSSIDE"] = ""
-- L["DETAILSSIDEDESC"] = ""
L["DISARM"] = "Desarmar" -- Needs review
L["DISEASE"] = "Curar enfermedad" -- Needs review
L["DISPELS"] = "Disipaciones/curas" -- Needs review
L["DOWNLEFT"] = "Abajo, izquierda" -- Needs review
L["DOWNRIGHT"] = "Abajo, Derecha" -- Needs review
L["ENRAGE"] = "Calmar enfurecer (ofensivo)" -- Needs review
L["FEARANY"] = "Miedo - Todos" -- Needs review
L["FEARBEASTS"] = "Miedo - Bestias" -- Needs review
L["FEARUNDEAD"] = "Miedo - Demonios y No-muertos" -- Needs review
L["FILTERGROUPS"] = "Para facilitar la composición de raid, las habilidades de los miembros de los grupos seleccionados están marcados en verde. Las habilidades proporcionadas únicamente por los miembros de los grupos no seleccionados se marcan en azul." -- Needs review
L["FONTSIZE"] = "Tamaño de la fuente" -- Needs review
L["FONTSIZEDESC"] = "Tamaño de la fuente a utilizar en la lista" -- Needs review
L["GLYPH"] = "(Glifo)" -- Needs review
L["GROUP"] = "Grupo" -- Needs review
L["HELP"] = "Ayuda / Preguntas frecuentes" -- Needs review
-- L["HELP_COLORS"] = ""
L["HELP_COLORS_HDR"] = "¿Qué significan los colores?" -- Needs review
-- L["HELP_COMMANDS"] = ""
L["HELP_COMMANDS_HDR"] = "¿Qué comandos de chat están disponibles?" -- Needs review
-- L["HELP_FLAG"] = ""
L["HELP_FLAG_HDR"] = "¿Que significa la bandera |TInterface\\AddOns\\RaidChecklist\\Textures\\greenflag:0|?" -- Needs review
-- L["HELP_HUNTERPETS"] = ""
-- L["HELP_HUNTERPETS_HDR"] = ""
-- L["HELP_INCOMBAT"] = ""
L["HELP_INCOMBAT_HDR"] = "¿RaidChecklist se actualiza en combate?" -- Needs review
-- L["HELP_INTRO"] = ""
L["HELP_INTRO_HDR"] = "Introducción - ¿Qué es lo que hace?" -- Needs review
-- L["HELP_LINKING"] = ""
L["HELP_LINKING_HDR"] = "¿Puedes enlazar las habilidades en el chat?" -- Needs review
-- L["HELP_TALENTSCAN"] = ""
L["HELP_TALENTSCAN_HDR"] = "¿Por qué talentos aparecen incluso cuando están fuera de rango?" -- Needs review
L["HUNTERPETABILITIES"] = "Habilidades de la mascota del cazador" -- Needs review
L["INSPECTQUEUE"] = "Aún por inspeccionar:" -- Needs review
L["INTERRUPT"] = "Interrumpir (tiempo de reutilización <= 30s)" -- Needs review
L["INTERRUPT2"] = "Interrumpir (tiempo de reutilización > 30s)" -- Needs review
L["KNOCKBACK"] = "Rechazar (tiempo de reutilización <= 45s)" -- Needs review
-- L["LDBTOOLTIP"] = ""
L["LEFT"] = "Izquierda" -- Needs review
L["LEVEL"] = "Nivel" -- Needs review
L["LIST_PERSONAL_BRIEF"] = "Personal (Breve)" -- Needs review
L["LIST_PERSONAL_FULL"] = "Personal (Completo)" -- Needs review
-- L["LIST_RAIDLEADER_BRIEF"] = ""
-- L["LIST_RAIDLEADER_FULL"] = ""
L["LISTSUFFIX_B"] = "(Breve)" -- Needs review
L["LISTSUFFIX_CB"] = "(Breve/Compacto)" -- Needs review
L["LISTSUFFIX_CF"] = "(Completo/Compacto)" -- Needs review
L["LISTSUFFIX_F"] = "(Completo)" -- Needs review
L["LISTSUFFIX_P"] = "(Mascotas solamante)" -- Needs review
L["MASTERY"] = "Maestría" -- Needs review
L["MISC"] = "Varios" -- Needs review
L["MISSINGTALENTS"] = "Talentos aún no inspeccionados para:" -- Needs review
L["MOBILITY_CONTROL"] = "Control de mobilidad" -- Needs review
L["MORTALSTRIKE"] = "Heridas letales" -- Needs review
-- L["NOBODY"] = ""
L["NORMAL"] = "Normal" -- Needs review
L["NOWINSPECTING"] = "Inspeccionando:" -- Needs review
L["OFFLINE"] = "(Desconectado)" -- Needs review
L["OFFMAGIC"] = "Disipar magia (ofensivo)" -- Needs review
L["OPACITY"] = "Opacidad" -- Needs review
L["OPACITYDESC"] = "Determina la transparencia de la lista. Un valor de 0 significa totalmente transparente y un valor de 1 totalmente opaco." -- Needs review
L["OPENDIRECTION"] = "Dirección de la lista" -- Needs review
L["OPENDIRECTIONDESC"] = "Dirección para abrir la lista de verificación en relación al botón de anclaje." -- Needs review
L["PET"] = "Mascota" -- Needs review
L["PHYSDMGTAKEN"] = "Vulnerabilidad Física" -- Needs review
L["PHYSHASTE"] = "Velocidad de ataque" -- Needs review
L["POISON"] = "Limpiar Veneno" -- Needs review
L["PROFILES"] = "Perfiles" -- Needs review
L["PROVIDEDBY"] = "Ofrecido por:" -- Needs review
-- L["Raid Checklist"] = ""
-- L["RAIDCHECKLIST_TOGGLE"] = ""
-- L["RESCAN"] = ""
-- L["RESCANHELP"] = ""
L["RESETANCHOR"] = "Reiniciar posición del botón ." -- Needs review
L["RESETANCHORDESC"] = "Recoloca el botón ancla en el centro de la pantalla." -- Needs review
L["RIGHT"] = "Derecha" -- Needs review
L["ROOT"] = "Enraizar (100% activo)" -- Needs review
L["SETTINGS"] = "Ajustes" -- Needs review
L["SHOWANCHOR"] = "Mostrar botón ancla" -- Needs review
-- L["SHOWANCHORDESC"] = ""
-- L["SMALL"] = ""
L["SNARE"] = "Frenar/Ralentizar (100% activo)" -- Needs review
L["SPELLDMGTAKEN"] = "Vulnerabilidad Mágica" -- Needs review
L["SPELLHASTE"] = "Celeridad con hechizos" -- Needs review
L["SPELLPWR"] = "Poder con hechizos" -- Needs review
L["STAM"] = "Aguante" -- Needs review
L["STATS"] = "Estadisticas" -- Needs review
L["STDLIST"] = "Listas estándar" -- Needs review
-- L["STDLISTDESC"] = ""
L["STUN"] = "Aturdir" -- Needs review
L["SUNDER"] = "Armadura debilitada" -- Needs review
-- L["SUPPORT"] = ""
L["TALENT"] = "Talento" -- Needs review
L["TOOLTIP_PASSIVE"] = "(Pasivo)" -- Needs review
L["TOOLTIP_TALENT"] = "(talento)" -- Needs review
L["TOTEMS"] = "Totems" -- Needs review
-- L["TRANSLATORS"] = ""
L["UPLEFT"] = "Arriba, izquierda" -- Needs review
L["UPRIGHT"] = "Arriba, derecha" -- Needs review
L["WARLOCKPETABILITIES"] = "Habilidades de la mascota del brujo" -- Needs review
L["WEAKBLOWS"] = "Golpes debilitados" -- Needs review

elseif locale == "esMX" then
-- P["ABYSSAL"] = ""
-- P["BASILISK"] = ""
-- P["BAT"] = ""
-- P["BEAR"] = ""
-- P["BEETLE"] = ""
-- P["BIRDOFPREY"] = ""
-- P["BOAR"] = ""
-- P["CARRIONBIRD"] = ""
-- P["CAT"] = ""
-- P["CHIMAERA"] = ""
-- P["COREHOUND"] = ""
-- P["CRAB"] = ""
-- P["CRANE"] = ""
-- P["CROCOLISK"] = ""
-- P["DEVILSAUR"] = ""
-- P["DIREHORN"] = ""
-- P["DOG"] = ""
-- P["DOOMGUARD"] = ""
-- P["DRAGONHAWK"] = ""
-- P["EARTHELEMENTAL"] = ""
-- P["FELGUARD"] = ""
-- P["FELHUNTER"] = ""
-- P["FELIMP"] = ""
-- P["FIREELEMENTAL"] = ""
-- P["FOX"] = ""
-- P["GEIST"] = ""
-- P["GHOUL"] = ""
-- P["GOAT"] = ""
-- P["GORILLA"] = ""
-- P["HYDRA"] = ""
-- P["HYENA"] = ""
-- P["IMP"] = ""
-- P["MONKEY"] = ""
-- P["MOTH"] = ""
-- P["NETHERRAY"] = ""
-- P["OBSERVER"] = ""
-- P["PORCUPINE"] = ""
-- P["QUILEN"] = ""
-- P["RAPTOR"] = ""
-- P["RAVAGER"] = ""
-- P["RHINO"] = ""
-- P["SCORPID"] = ""
-- P["SERPENT"] = ""
-- P["SHALESPIDER"] = ""
-- P["SHIVARRA"] = ""
-- P["SILITHID"] = ""
-- P["SPIDER"] = ""
-- P["SPIRITBEAST"] = ""
-- P["SPOREBAT"] = ""
-- P["SUCCUBUS"] = ""
-- P["SupportedLocale"] = ""
-- P["TALLSTRIDER"] = ""
-- P["TERRORGUARD"] = ""
-- P["TURTLE"] = ""
-- P["VOIDLORD"] = ""
-- P["VOIDWALKER"] = ""
-- P["WARPSTALKER"] = ""
-- P["WASP"] = ""
-- P["WATERELEMENTAL"] = ""
-- P["WATERSTRIDER"] = ""
-- P["WINDSERPENT"] = ""
-- P["WOLF"] = ""
-- P["WORM"] = ""
-- P["WRATHGUARD"] = ""

-- L["ABOUT"] = ""
-- L["ADVLIST"] = ""
-- L["ADVLISTDESC"] = ""
-- L["ANCHORLOCKED"] = ""
-- L["ANCHORLOCKEDDESC"] = ""
-- L["AOESNARE"] = ""
-- L["AOESTUN"] = ""
-- L["ATTACKPWR"] = ""
-- L["ATTACKSPD"] = ""
-- L["AVAILABLEFROM"] = ""
-- L["BLOODELF"] = ""
-- L["BLOODLUST"] = ""
-- L["BUFFS"] = ""
-- L["BURSTMAGICPROT"] = ""
-- L["BURSTMANA"] = ""
-- L["CASTSPD"] = ""
-- L["CC"] = ""
-- L["CCANY"] = ""
-- L["CCBEASTS"] = ""
-- L["CCDEMONS"] = ""
-- L["CCDRAGONKIN"] = ""
-- L["CCELEMENTALS"] = ""
-- L["CCGIANTS"] = ""
-- L["CCHUMANOIDS"] = ""
-- L["CCUNDEAD"] = ""
-- L["COMBATRES"] = ""
-- L["CONFIG"] = ""
-- L["CRIT"] = ""
-- L["CURSE"] = ""
-- L["DEBUFFS"] = ""
-- L["DEFMAGIC"] = ""
-- L["DETAILS"] = ""
-- L["DETAILSSIDE"] = ""
-- L["DETAILSSIDEDESC"] = ""
-- L["DISARM"] = ""
-- L["DISEASE"] = ""
-- L["DISPELS"] = ""
-- L["DOWNLEFT"] = ""
-- L["DOWNRIGHT"] = ""
-- L["ENRAGE"] = ""
-- L["FEARANY"] = ""
-- L["FEARBEASTS"] = ""
-- L["FEARUNDEAD"] = ""
-- L["FILTERGROUPS"] = ""
-- L["FONTSIZE"] = ""
-- L["FONTSIZEDESC"] = ""
-- L["GLYPH"] = ""
-- L["GROUP"] = ""
-- L["HELP"] = ""
-- L["HELP_COLORS"] = ""
-- L["HELP_COLORS_HDR"] = ""
-- L["HELP_COMMANDS"] = ""
-- L["HELP_COMMANDS_HDR"] = ""
-- L["HELP_FLAG"] = ""
-- L["HELP_FLAG_HDR"] = ""
-- L["HELP_HUNTERPETS"] = ""
-- L["HELP_HUNTERPETS_HDR"] = ""
-- L["HELP_INCOMBAT"] = ""
-- L["HELP_INCOMBAT_HDR"] = ""
-- L["HELP_INTRO"] = ""
-- L["HELP_INTRO_HDR"] = ""
-- L["HELP_LINKING"] = ""
-- L["HELP_LINKING_HDR"] = ""
-- L["HELP_TALENTSCAN"] = ""
-- L["HELP_TALENTSCAN_HDR"] = ""
-- L["HUNTERPETABILITIES"] = ""
-- L["INSPECTQUEUE"] = ""
-- L["INTERRUPT"] = ""
-- L["INTERRUPT2"] = ""
-- L["KNOCKBACK"] = ""
-- L["LDBTOOLTIP"] = ""
-- L["LEFT"] = ""
-- L["LEVEL"] = ""
-- L["LIST_PERSONAL_BRIEF"] = ""
-- L["LIST_PERSONAL_FULL"] = ""
-- L["LIST_RAIDLEADER_BRIEF"] = ""
-- L["LIST_RAIDLEADER_FULL"] = ""
-- L["LISTSUFFIX_B"] = ""
-- L["LISTSUFFIX_CB"] = ""
-- L["LISTSUFFIX_CF"] = ""
-- L["LISTSUFFIX_F"] = ""
-- L["LISTSUFFIX_P"] = ""
-- L["MASTERY"] = ""
-- L["MISC"] = ""
-- L["MISSINGTALENTS"] = ""
-- L["MOBILITY_CONTROL"] = ""
-- L["MORTALSTRIKE"] = ""
-- L["NOBODY"] = ""
-- L["NORMAL"] = ""
-- L["NOWINSPECTING"] = ""
-- L["OFFLINE"] = ""
-- L["OFFMAGIC"] = ""
-- L["OPACITY"] = ""
-- L["OPACITYDESC"] = ""
-- L["OPENDIRECTION"] = ""
-- L["OPENDIRECTIONDESC"] = ""
-- L["PET"] = ""
-- L["PHYSDMGTAKEN"] = ""
-- L["PHYSHASTE"] = ""
-- L["POISON"] = ""
-- L["PROFILES"] = ""
-- L["PROVIDEDBY"] = ""
-- L["Raid Checklist"] = ""
-- L["RAIDCHECKLIST_TOGGLE"] = ""
-- L["RESCAN"] = ""
-- L["RESCANHELP"] = ""
-- L["RESETANCHOR"] = ""
-- L["RESETANCHORDESC"] = ""
-- L["RIGHT"] = ""
-- L["ROOT"] = ""
-- L["SETTINGS"] = ""
-- L["SHOWANCHOR"] = ""
-- L["SHOWANCHORDESC"] = ""
-- L["SMALL"] = ""
-- L["SNARE"] = ""
-- L["SPELLDMGTAKEN"] = ""
-- L["SPELLHASTE"] = ""
-- L["SPELLPWR"] = ""
-- L["STAM"] = ""
-- L["STATS"] = ""
-- L["STDLIST"] = ""
-- L["STDLISTDESC"] = ""
-- L["STUN"] = ""
-- L["SUNDER"] = ""
-- L["SUPPORT"] = ""
-- L["TALENT"] = ""
-- L["TOOLTIP_PASSIVE"] = ""
-- L["TOOLTIP_TALENT"] = ""
-- L["TOTEMS"] = ""
-- L["TRANSLATORS"] = ""
-- L["UPLEFT"] = ""
-- L["UPRIGHT"] = ""
-- L["WARLOCKPETABILITIES"] = ""
-- L["WEAKBLOWS"] = ""

elseif locale == "frFR" then
P["ABYSSAL"] = "Abyssal" -- Needs review
P["BASILISK"] = "Basilic" -- Needs review
P["BAT"] = "Chauve-souris"
P["BEAR"] = "Ours"
P["BEETLE"] = "Scarabée"
P["BIRDOFPREY"] = "Oiseau de proie"
P["BOAR"] = "Sanglier"
P["CARRIONBIRD"] = "Charognard"
P["CAT"] = "Félin"
P["CHIMAERA"] = "Chimère"
P["COREHOUND"] = "Chien du Magma"
P["CRAB"] = "Crabe"
P["CRANE"] = "Grue" -- Needs review
P["CROCOLISK"] = "Crocilisque"
P["DEVILSAUR"] = "Diablosaure"
P["DIREHORN"] = "Navrecorne" -- Needs review
P["DOG"] = "Chien"
P["DOOMGUARD"] = "Garde funeste"
P["DRAGONHAWK"] = "Faucon-dragon"
P["EARTHELEMENTAL"] = "Élémentaire de terre" -- Needs review
P["FELGUARD"] = "Gangregarde"
P["FELHUNTER"] = "Chasseur corrompu"
P["FELIMP"] = "Diablotin gangrené" -- Needs review
P["FIREELEMENTAL"] = "Élémentaire de feu" -- Needs review
P["FOX"] = "Renard"
P["GEIST"] = "Geist" -- Needs review
P["GHOUL"] = "Goule"
P["GOAT"] = "Chèvre" -- Needs review
P["GORILLA"] = "Gorille"
P["HYDRA"] = "Hydre"
P["HYENA"] = "Hyène"
P["IMP"] = "Diablotin"
P["MONKEY"] = "Singe"
P["MOTH"] = "Papillon"
P["NETHERRAY"] = "Raie du Néant"
P["OBSERVER"] = "Observateur" -- Needs review
-- P["PORCUPINE"] = ""
P["QUILEN"] = "Quilen" -- Needs review
P["RAPTOR"] = "Raptor"
P["RAVAGER"] = "Ravageur"
P["RHINO"] = "Rhinocéros"
P["SCORPID"] = "Scorpide"
P["SERPENT"] = "Serpent"
P["SHALESPIDER"] = "Araignée de Schiste"
P["SHIVARRA"] = "Shivarra" -- Needs review
P["SILITHID"] = "Silithide"
P["SPIDER"] = "Araignée"
P["SPIRITBEAST"] = "Esprit de bête"
P["SPOREBAT"] = "Sporoptère"
P["SUCCUBUS"] = "Succube"
P["SupportedLocale"] = "hopefully" -- Needs review
P["TALLSTRIDER"] = "Haut-trotteur"
P["TERRORGUARD"] = "Garde de terreur" -- Needs review
P["TURTLE"] = "Tortue"
P["VOIDLORD"] = "Seigneur du Vide" -- Needs review
P["VOIDWALKER"] = "Marcheur du Vide"
P["WARPSTALKER"] = "Traqueur dim."
P["WASP"] = "Guêpe"
P["WATERELEMENTAL"] = "Élémentaire d'eau"
P["WATERSTRIDER"] = "Trotteur aquatique" -- Needs review
P["WINDSERPENT"] = "Serpent des vents"
P["WOLF"] = "Loup"
P["WORM"] = "Ver"
P["WRATHGUARD"] = "Garde-courroux" -- Needs review

-- L["ABOUT"] = ""
-- L["ADVLIST"] = ""
-- L["ADVLISTDESC"] = ""
-- L["ANCHORLOCKED"] = ""
-- L["ANCHORLOCKEDDESC"] = ""
-- L["AOESNARE"] = ""
-- L["AOESTUN"] = ""
-- L["ATTACKPWR"] = ""
-- L["ATTACKSPD"] = ""
-- L["AVAILABLEFROM"] = ""
-- L["BLOODELF"] = ""
-- L["BLOODLUST"] = ""
-- L["BUFFS"] = ""
-- L["BURSTMAGICPROT"] = ""
-- L["BURSTMANA"] = ""
-- L["CASTSPD"] = ""
-- L["CC"] = ""
-- L["CCANY"] = ""
-- L["CCBEASTS"] = ""
-- L["CCDEMONS"] = ""
-- L["CCDRAGONKIN"] = ""
-- L["CCELEMENTALS"] = ""
-- L["CCGIANTS"] = ""
-- L["CCHUMANOIDS"] = ""
-- L["CCUNDEAD"] = ""
-- L["COMBATRES"] = ""
-- L["CONFIG"] = ""
-- L["CRIT"] = ""
-- L["CURSE"] = ""
-- L["DEBUFFS"] = ""
-- L["DEFMAGIC"] = ""
-- L["DETAILS"] = ""
-- L["DETAILSSIDE"] = ""
-- L["DETAILSSIDEDESC"] = ""
-- L["DISARM"] = ""
-- L["DISEASE"] = ""
-- L["DISPELS"] = ""
-- L["DOWNLEFT"] = ""
-- L["DOWNRIGHT"] = ""
-- L["ENRAGE"] = ""
-- L["FEARANY"] = ""
-- L["FEARBEASTS"] = ""
-- L["FEARUNDEAD"] = ""
-- L["FILTERGROUPS"] = ""
-- L["FONTSIZE"] = ""
-- L["FONTSIZEDESC"] = ""
-- L["GLYPH"] = ""
-- L["GROUP"] = ""
-- L["HELP"] = ""
-- L["HELP_COLORS"] = ""
-- L["HELP_COLORS_HDR"] = ""
-- L["HELP_COMMANDS"] = ""
-- L["HELP_COMMANDS_HDR"] = ""
-- L["HELP_FLAG"] = ""
-- L["HELP_FLAG_HDR"] = ""
-- L["HELP_HUNTERPETS"] = ""
-- L["HELP_HUNTERPETS_HDR"] = ""
-- L["HELP_INCOMBAT"] = ""
-- L["HELP_INCOMBAT_HDR"] = ""
-- L["HELP_INTRO"] = ""
-- L["HELP_INTRO_HDR"] = ""
-- L["HELP_LINKING"] = ""
-- L["HELP_LINKING_HDR"] = ""
-- L["HELP_TALENTSCAN"] = ""
-- L["HELP_TALENTSCAN_HDR"] = ""
-- L["HUNTERPETABILITIES"] = ""
-- L["INSPECTQUEUE"] = ""
-- L["INTERRUPT"] = ""
-- L["INTERRUPT2"] = ""
-- L["KNOCKBACK"] = ""
-- L["LDBTOOLTIP"] = ""
-- L["LEFT"] = ""
-- L["LEVEL"] = ""
-- L["LIST_PERSONAL_BRIEF"] = ""
-- L["LIST_PERSONAL_FULL"] = ""
-- L["LIST_RAIDLEADER_BRIEF"] = ""
-- L["LIST_RAIDLEADER_FULL"] = ""
-- L["LISTSUFFIX_B"] = ""
-- L["LISTSUFFIX_CB"] = ""
-- L["LISTSUFFIX_CF"] = ""
-- L["LISTSUFFIX_F"] = ""
-- L["LISTSUFFIX_P"] = ""
-- L["MASTERY"] = ""
-- L["MISC"] = ""
L["MISSINGTALENTS"] = "Talents qui n'ont pas été inspectés :"
-- L["MOBILITY_CONTROL"] = ""
-- L["MORTALSTRIKE"] = ""
-- L["NOBODY"] = ""
-- L["NORMAL"] = ""
-- L["NOWINSPECTING"] = ""
-- L["OFFLINE"] = ""
-- L["OFFMAGIC"] = ""
-- L["OPACITY"] = ""
-- L["OPACITYDESC"] = ""
-- L["OPENDIRECTION"] = ""
-- L["OPENDIRECTIONDESC"] = ""
L["PET"] = " familier : "
-- L["PHYSDMGTAKEN"] = ""
-- L["PHYSHASTE"] = ""
-- L["POISON"] = ""
-- L["PROFILES"] = ""
-- L["PROVIDEDBY"] = ""
-- L["Raid Checklist"] = ""
-- L["RAIDCHECKLIST_TOGGLE"] = ""
-- L["RESCAN"] = ""
-- L["RESCANHELP"] = ""
-- L["RESETANCHOR"] = ""
-- L["RESETANCHORDESC"] = ""
-- L["RIGHT"] = ""
-- L["ROOT"] = ""
-- L["SETTINGS"] = ""
-- L["SHOWANCHOR"] = ""
-- L["SHOWANCHORDESC"] = ""
-- L["SMALL"] = ""
-- L["SNARE"] = ""
-- L["SPELLDMGTAKEN"] = ""
-- L["SPELLHASTE"] = ""
-- L["SPELLPWR"] = ""
-- L["STAM"] = ""
-- L["STATS"] = ""
-- L["STDLIST"] = ""
-- L["STDLISTDESC"] = ""
-- L["STUN"] = ""
-- L["SUNDER"] = ""
-- L["SUPPORT"] = ""
-- L["TALENT"] = ""
-- L["TOOLTIP_PASSIVE"] = ""
-- L["TOOLTIP_TALENT"] = ""
-- L["TOTEMS"] = ""
L["TRANSLATORS"] = "Threepwood, Anyia" -- Needs review
-- L["UPLEFT"] = ""
-- L["UPRIGHT"] = ""
-- L["WARLOCKPETABILITIES"] = ""
-- L["WEAKBLOWS"] = ""

elseif locale == "itIT" then
-- P["ABYSSAL"] = ""
-- P["BASILISK"] = ""
-- P["BAT"] = ""
-- P["BEAR"] = ""
-- P["BEETLE"] = ""
-- P["BIRDOFPREY"] = ""
-- P["BOAR"] = ""
-- P["CARRIONBIRD"] = ""
-- P["CAT"] = ""
-- P["CHIMAERA"] = ""
-- P["COREHOUND"] = ""
-- P["CRAB"] = ""
-- P["CRANE"] = ""
-- P["CROCOLISK"] = ""
-- P["DEVILSAUR"] = ""
-- P["DIREHORN"] = ""
-- P["DOG"] = ""
-- P["DOOMGUARD"] = ""
-- P["DRAGONHAWK"] = ""
-- P["EARTHELEMENTAL"] = ""
-- P["FELGUARD"] = ""
-- P["FELHUNTER"] = ""
-- P["FELIMP"] = ""
-- P["FIREELEMENTAL"] = ""
-- P["FOX"] = ""
-- P["GEIST"] = ""
-- P["GHOUL"] = ""
-- P["GOAT"] = ""
-- P["GORILLA"] = ""
-- P["HYDRA"] = ""
-- P["HYENA"] = ""
-- P["IMP"] = ""
-- P["MONKEY"] = ""
-- P["MOTH"] = ""
-- P["NETHERRAY"] = ""
-- P["OBSERVER"] = ""
-- P["PORCUPINE"] = ""
-- P["QUILEN"] = ""
-- P["RAPTOR"] = ""
-- P["RAVAGER"] = ""
-- P["RHINO"] = ""
-- P["SCORPID"] = ""
-- P["SERPENT"] = ""
-- P["SHALESPIDER"] = ""
-- P["SHIVARRA"] = ""
-- P["SILITHID"] = ""
-- P["SPIDER"] = ""
-- P["SPIRITBEAST"] = ""
-- P["SPOREBAT"] = ""
-- P["SUCCUBUS"] = ""
-- P["SupportedLocale"] = ""
-- P["TALLSTRIDER"] = ""
-- P["TERRORGUARD"] = ""
-- P["TURTLE"] = ""
-- P["VOIDLORD"] = ""
-- P["VOIDWALKER"] = ""
-- P["WARPSTALKER"] = ""
-- P["WASP"] = ""
-- P["WATERELEMENTAL"] = ""
-- P["WATERSTRIDER"] = ""
-- P["WINDSERPENT"] = ""
-- P["WOLF"] = ""
-- P["WORM"] = ""
-- P["WRATHGUARD"] = ""

-- L["ABOUT"] = ""
-- L["ADVLIST"] = ""
-- L["ADVLISTDESC"] = ""
-- L["ANCHORLOCKED"] = ""
-- L["ANCHORLOCKEDDESC"] = ""
-- L["AOESNARE"] = ""
-- L["AOESTUN"] = ""
-- L["ATTACKPWR"] = ""
-- L["ATTACKSPD"] = ""
-- L["AVAILABLEFROM"] = ""
-- L["BLOODELF"] = ""
-- L["BLOODLUST"] = ""
-- L["BUFFS"] = ""
-- L["BURSTMAGICPROT"] = ""
-- L["BURSTMANA"] = ""
-- L["CASTSPD"] = ""
-- L["CC"] = ""
-- L["CCANY"] = ""
-- L["CCBEASTS"] = ""
-- L["CCDEMONS"] = ""
-- L["CCDRAGONKIN"] = ""
-- L["CCELEMENTALS"] = ""
-- L["CCGIANTS"] = ""
-- L["CCHUMANOIDS"] = ""
-- L["CCUNDEAD"] = ""
-- L["COMBATRES"] = ""
-- L["CONFIG"] = ""
-- L["CRIT"] = ""
-- L["CURSE"] = ""
-- L["DEBUFFS"] = ""
-- L["DEFMAGIC"] = ""
-- L["DETAILS"] = ""
-- L["DETAILSSIDE"] = ""
-- L["DETAILSSIDEDESC"] = ""
-- L["DISARM"] = ""
-- L["DISEASE"] = ""
-- L["DISPELS"] = ""
-- L["DOWNLEFT"] = ""
-- L["DOWNRIGHT"] = ""
-- L["ENRAGE"] = ""
-- L["FEARANY"] = ""
-- L["FEARBEASTS"] = ""
-- L["FEARUNDEAD"] = ""
-- L["FILTERGROUPS"] = ""
-- L["FONTSIZE"] = ""
-- L["FONTSIZEDESC"] = ""
-- L["GLYPH"] = ""
-- L["GROUP"] = ""
-- L["HELP"] = ""
-- L["HELP_COLORS"] = ""
-- L["HELP_COLORS_HDR"] = ""
-- L["HELP_COMMANDS"] = ""
-- L["HELP_COMMANDS_HDR"] = ""
-- L["HELP_FLAG"] = ""
-- L["HELP_FLAG_HDR"] = ""
-- L["HELP_HUNTERPETS"] = ""
-- L["HELP_HUNTERPETS_HDR"] = ""
-- L["HELP_INCOMBAT"] = ""
-- L["HELP_INCOMBAT_HDR"] = ""
-- L["HELP_INTRO"] = ""
-- L["HELP_INTRO_HDR"] = ""
-- L["HELP_LINKING"] = ""
-- L["HELP_LINKING_HDR"] = ""
-- L["HELP_TALENTSCAN"] = ""
-- L["HELP_TALENTSCAN_HDR"] = ""
-- L["HUNTERPETABILITIES"] = ""
-- L["INSPECTQUEUE"] = ""
-- L["INTERRUPT"] = ""
-- L["INTERRUPT2"] = ""
-- L["KNOCKBACK"] = ""
-- L["LDBTOOLTIP"] = ""
-- L["LEFT"] = ""
-- L["LEVEL"] = ""
-- L["LIST_PERSONAL_BRIEF"] = ""
-- L["LIST_PERSONAL_FULL"] = ""
-- L["LIST_RAIDLEADER_BRIEF"] = ""
-- L["LIST_RAIDLEADER_FULL"] = ""
-- L["LISTSUFFIX_B"] = ""
-- L["LISTSUFFIX_CB"] = ""
-- L["LISTSUFFIX_CF"] = ""
-- L["LISTSUFFIX_F"] = ""
-- L["LISTSUFFIX_P"] = ""
-- L["MASTERY"] = ""
-- L["MISC"] = ""
-- L["MISSINGTALENTS"] = ""
-- L["MOBILITY_CONTROL"] = ""
-- L["MORTALSTRIKE"] = ""
-- L["NOBODY"] = ""
-- L["NORMAL"] = ""
-- L["NOWINSPECTING"] = ""
-- L["OFFLINE"] = ""
-- L["OFFMAGIC"] = ""
-- L["OPACITY"] = ""
-- L["OPACITYDESC"] = ""
-- L["OPENDIRECTION"] = ""
-- L["OPENDIRECTIONDESC"] = ""
-- L["PET"] = ""
-- L["PHYSDMGTAKEN"] = ""
-- L["PHYSHASTE"] = ""
-- L["POISON"] = ""
-- L["PROFILES"] = ""
-- L["PROVIDEDBY"] = ""
-- L["Raid Checklist"] = ""
-- L["RAIDCHECKLIST_TOGGLE"] = ""
-- L["RESCAN"] = ""
-- L["RESCANHELP"] = ""
-- L["RESETANCHOR"] = ""
-- L["RESETANCHORDESC"] = ""
-- L["RIGHT"] = ""
-- L["ROOT"] = ""
-- L["SETTINGS"] = ""
-- L["SHOWANCHOR"] = ""
-- L["SHOWANCHORDESC"] = ""
-- L["SMALL"] = ""
-- L["SNARE"] = ""
-- L["SPELLDMGTAKEN"] = ""
-- L["SPELLHASTE"] = ""
-- L["SPELLPWR"] = ""
-- L["STAM"] = ""
-- L["STATS"] = ""
-- L["STDLIST"] = ""
-- L["STDLISTDESC"] = ""
-- L["STUN"] = ""
-- L["SUNDER"] = ""
-- L["SUPPORT"] = ""
-- L["TALENT"] = ""
-- L["TOOLTIP_PASSIVE"] = ""
-- L["TOOLTIP_TALENT"] = ""
-- L["TOTEMS"] = ""
-- L["TRANSLATORS"] = ""
-- L["UPLEFT"] = ""
-- L["UPRIGHT"] = ""
-- L["WARLOCKPETABILITIES"] = ""
-- L["WEAKBLOWS"] = ""

elseif locale == "koKR" then
P["ABYSSAL"] = "심연불정령" -- Needs review
P["BASILISK"] = "바실리스크" -- Needs review
P["BAT"] = "박쥐"
P["BEAR"] = "곰"
P["BEETLE"] = "딱정벌레"
P["BIRDOFPREY"] = "맹금"
P["BOAR"] = "멧돼지"
P["CARRIONBIRD"] = "독수리"
P["CAT"] = "살쾡이"
P["CHIMAERA"] = "키메라"
P["COREHOUND"] = "심장부 사냥개"
P["CRAB"] = "게"
-- P["CRANE"] = ""
P["CROCOLISK"] = "악어"
P["DEVILSAUR"] = "데빌사우루스"
-- P["DIREHORN"] = ""
P["DOG"] = "개"
P["DOOMGUARD"] = "파멸의 수호병"
P["DRAGONHAWK"] = "용매"
P["EARTHELEMENTAL"] = "대지의 정령" -- Needs review
P["FELGUARD"] = "지옥수호병"
P["FELHUNTER"] = "지옥사냥개"
P["FELIMP"] = "지옥 임프" -- Needs review
P["FIREELEMENTAL"] = "불의 정령" -- Needs review
P["FOX"] = "여우"
P["GEIST"] = "외눈깨비" -- Needs review
P["GHOUL"] = "구울"
P["GOAT"] = "염소" -- Needs review
P["GORILLA"] = "고릴라"
P["HYDRA"] = "히드라"
P["HYENA"] = "하이에나"
P["IMP"] = "임프"
P["MONKEY"] = "원숭이"
P["MOTH"] = "나방"
P["NETHERRAY"] = "황천의 가오리"
P["OBSERVER"] = "감시자" -- Needs review
P["PORCUPINE"] = "호저" -- Needs review
P["QUILEN"] = "기렌" -- Needs review
P["RAPTOR"] = "랩터"
P["RAVAGER"] = "칼날발톱"
P["RHINO"] = "코뿔소"
P["SCORPID"] = "전갈"
P["SERPENT"] = "살무사"
P["SHALESPIDER"] = "혈암거미"
P["SHIVARRA"] = "쉬바라" -- Needs review
P["SILITHID"] = "실리시드"
P["SPIDER"] = "거미"
P["SPIRITBEAST"] = "야수 정령"
P["SPOREBAT"] = "포자날개"
P["SUCCUBUS"] = "서큐버스"
P["SupportedLocale"] = "complete" -- Needs review
P["TALLSTRIDER"] = "타조"
P["TERRORGUARD"] = "공포수호병" -- Needs review
P["TURTLE"] = "거북"
P["VOIDLORD"] = "공허군주" -- Needs review
P["VOIDWALKER"] = "공허방랑자" -- Needs review
P["WARPSTALKER"] = "차원의 추적자"
P["WASP"] = "말벌"
P["WATERELEMENTAL"] = "물의 정령"
P["WATERSTRIDER"] = "소금쟁이" -- Needs review
P["WINDSERPENT"] = "천둥매"
P["WOLF"] = "늑대"
P["WORM"] = "벌레"
P["WRATHGUARD"] = "격노수호병" -- Needs review

L["ABOUT"] = "대하여"
L["ADVLIST"] = "고급 목록"
L["ADVLISTDESC"] = "클래스별 사용자 정의된 체크리스트는 모두 콘텐츠 및 레이아웃 선택을 제공합니다."
L["ANCHORLOCKED"] = "잠금"
L["ANCHORLOCKEDDESC"] = "앵커 버튼을 고정시켜 실수로 이동되는걸 막습니다."
L["AOESNARE"] = "광역 이동속도 감소 (유지가능)"
L["AOESTUN"] = "광역 기절" -- Needs review
L["ATTACKPWR"] = "전투력" -- Needs review
L["ATTACKSPD"] = "공격 속도" -- Needs review
L["AVAILABLEFROM"] = "가능한 직업군:"
L["BLOODELF"] = "블러드 엘프"
L["BLOODLUST"] = "피의욕망/영웅심" -- Needs review
L["BUFFS"] = "강화 효과"
L["BURSTMAGICPROT"] = "대규모 주문 방어" -- Needs review
L["BURSTMANA"] = "순간 마나 회복"
L["CASTSPD"] = "주문 시전 지연" -- Needs review
L["CC"] = "군중 제어"
L["CCANY"] = "모두"
L["CCBEASTS"] = "야수"
L["CCDEMONS"] = "악마"
L["CCDRAGONKIN"] = "용족"
L["CCELEMENTALS"] = "정령"
L["CCGIANTS"] = "거인"
L["CCHUMANOIDS"] = "인간형"
L["CCUNDEAD"] = "언데드"
L["COMBATRES"] = "전투 부활" -- Needs review
L["CONFIG"] = "설정"
L["CRIT"] = "치명타 및 극대화" -- Needs review
L["CURSE"] = "저주 효과 제거"
L["DEBUFFS"] = "약화 효과"
L["DEFMAGIC"] = "마법 효과 제거 (우호적 대상)"
L["DETAILS"] = "자세한 능력 정보:"
L["DETAILSSIDE"] = "세부정보 패널 방향"
L["DETAILSSIDEDESC"] = "체크리스트의 세부정보 패널 방향 설정."
L["DISARM"] = "무장해제"
L["DISEASE"] = "질병 효과 제거"
L["DISPELS"] = "해제"
L["DOWNLEFT"] = "좌측, 하단"
L["DOWNRIGHT"] = "우측, 하단"
L["ENRAGE"] = "격노 효과 제거 (적대적 대상)"
L["FEARANY"] = "공포 - 모두"
L["FEARBEASTS"] = "공포 - 야수"
L["FEARUNDEAD"] = "공포 - 악마 & 언데드"
L["FILTERGROUPS"] = "공격대 구성을 돕기위해 선택한 파티의 구성원의 능력은 녹색으로 표시됩니다. 선택하지 않은 파티의 구성원의 능력은 파란색으로 표시됩니다."
L["FONTSIZE"] = "폰트 크기"
L["FONTSIZEDESC"] = "체크 리스트의 폰트 크기를 조절할 수 있습니다."
L["GLYPH"] = "툴팁을 보여줍니다" -- Needs review
L["GROUP"] = "파티"
L["HELP"] = "도움말 / 자주 묻는 질문"
L["HELP_COLORS"] = [=[체크리스트의 각 엔트리는 그 상태에 따라 색상으로 구분되어 있습니다: 

|cffb4b4b4Gray|r - 본 능력치는 현재 아무도 제공하고 있지않습니다.

|cff0066ffBlue|r - 누군가 사용 가능하지만 필터링 되어 있습니다. 임시파티에 속해있습니다. 가능하도록 하려면 설정팡에서 필터링 체크를 조절해야합니다.

|cff00ff00Green|r - 적어도 하나의 플레이어가 가능합니다.

|cffff0000Red|r - 사용 가능한 모든 플레이어가 접속종료 상태입니다.

]=]
L["HELP_COLORS_HDR"] = "색상은 무슨 의미인가요?"
L["HELP_COMMANDS"] = [=[공격대 체크리스트는 체크리스트 토글을 위해 /raidchecklist 와 /rcl 명령어를 제공합니다. 또한 다른 키조합도 가능합니다.

]=]
L["HELP_COMMANDS_HDR"] = "대화창 명령어엔 어떤것들이 있나요?"
L["HELP_FLAG"] = [=[이 깃발은 오직 한명, 즉 당신만이 유일하게 해당 능력치를 발휘할 수 있다는 뜻입니다. 즉 이 능력치를 사용하는것은 당신의 의무입니다!

]=]
L["HELP_FLAG_HDR"] = "|TInterface\\AddOns\\RaidChecklist\\Textures\\greenflag:0|t 깃발은 무슨 의미 인가요?"
L["HELP_HUNTERPETS"] = [=[사냥꾼의 펫은 플레이어의 연장선상에서 취급되며, 공격대체크리스트는 자동적으로 소환수가 제공하는 능력치에대해 자동적으로 업데이트하여 그것을 당신의 능력이나 파티원의 능력이 되도록 합니다. 

사냥꾼의 경우, 공격대 체크리스트는 추가기능을 제공합니다. 잘 작동되고 있는 공격대 체크리스트에 최초로 인식이 되면 현재 어떤 펫들이 소환되었는지 체크하여 그것을 기록합니다.소환된 펫들이 제공하는 능력치는 사냥꾼의 체크리스트(다른 사람들에겐 보이지 않음)에 청색으로 보여집니다. 만약 당신이 체크리스트에서  |TInterface\AddOns\RaidChecklist\Textures\blueflag:0|t 깃발을 본게된다면 이것은 당신만이 현재의 공격대에 해당 능력치를 제공할 수 있는 플레이어란 뜻이므로 해당 소환수를 소환하는것을 고려할 좋은 시기란 뜻이 되는 것 입니다. 

]=]
L["HELP_HUNTERPETS_HDR"] = "사냥꾼의 소환수는 어떻게 취급되는건가요?"
L["HELP_INCOMBAT"] = [=[상황에따라 다릅니다. 공격대 체크리스트는 다른 애드온이 하는것처럼 연속적으로 공격대 구성의 변화를 스캔하지는 않습니다.  대신에 펫이 소환된다던지, 누군가 특성변경을 했다던지 어떤 플레이어가 공격대파티를 떠났다던지 등의 게임상의 사건을 모니터링 하고 있습니다.  만약 그러한 사건이 전투중 발생하면 공격대 체크리스트는 그것을 업데이트하고 전투중에 발생하지 않으면 업데이트하지 않습니다.

일반적으로 공격대 체크리스트가 실행되는 동안 최소한으로 진행되도록 되어있어서 눈치채지 못할 정도입니다.  최악의 시나리오를 예를 들자면 당신이 공격대 진행 중 초대받아 흑마법사의 소환을 받아 바로 전투에 투입되는 경우일 것 입니다. 이 경우 갑자기 많은 플레이어가 특성조사중 상태가 될것이며 이것은 당신의 인터넷연결이 느리다면 게임 진행에 무리를 주게될것입니다. 물론 그 가능성은 눈에 보이지 않을정도로 희박하지만...

]=]
L["HELP_INCOMBAT_HDR"] = "공격대 체크리스트는 전투중에도 업데이트가 되나요?"
L["HELP_INTRO"] = [=[공격대 체크리스트는 현재의 파티나 공격대에서 사용가능한 주요 능력치에 대한 개요를 제공합니다. 이것은 균형잡힌 공격대 파티 구성을 돕고 파티 구성원들로 하여금 가용 능력치에대한 빠른 이해를 돕고자 제작되었습니다. 본 공격대 체크리스트를 사용하여 여러분은 파티나 공격대의 가용 전력에대한 가장 최신의 정보를 얻게 될 것 입니다.

공격대 체크리스트는 또한 영역별, 효과별로 정리되어 공격대에 관련된 능력치의 게임상 데이터베이스의 기능을 가지고 있습니다.

공격대 체크리스트는 버프/디버프를 감시하는것은 아닙니다. 그러한 기능은 이미 PallyPower나 Recount와같은 오프라인 전투로그 해석기능이 있는 다른 애드온에서 취급되고 있기 때문에 능력치의 실지 사용여부를 기록하거나 통계자료를 제공하지는 않습니다. 

]=]
L["HELP_INTRO_HDR"] = "소개 - 무슨 기능인가요?"
L["HELP_LINKING"] = [=[가능합니다. 패널을 열어 해당 체크리스트의 아무 엔트리를 클릭하고 링크하고 싶은 능력치를 쉬프트 클릭하면 됩니다.

]=]
L["HELP_LINKING_HDR"] = "해당 능력치를 채팅창에 링크할 수 있나요?"
L["HELP_TALENTSCAN"] = "판다리아의 안개 확장판에서 약간 먼거리에서도 살펴보기가 가능해졌습니다. 이것은 공격대체크리스트가 살펴보기를 위해 공대원에 근접할 필요가 없다는 것입니다. 판다리아의 안개에서 도입된 변경사항의 단점은 자동으로 공격대원의 정보를 검색할수 없는 것입니다. 그러나 이중특성은 탐색할수 있습니다." -- Needs review
L["HELP_TALENTSCAN_HDR"] = "왜 적용 거리 밖인데도 기능이 리스트되나요?"
L["HUNTERPETABILITIES"] = "사냥꾼 소환수 능력"
L["INSPECTQUEUE"] = "불러오지 못한 플레이어:"
L["INTERRUPT"] = "주문시전 방해 (30초이하 쿨다운)"
L["INTERRUPT2"] = "주문시전 방해 (30초이상 쿨다운)"
L["KNOCKBACK"] = "밀쳐내기 (45초이하 쿨다운)"
L["LDBTOOLTIP"] = [=[좌클릭 보이기/감추기.
우클릭 설정창.]=]
L["LEFT"] = "좌측"
L["LEVEL"] = "레벨"
L["LIST_PERSONAL_BRIEF"] = "공대원 (브리핑)"
L["LIST_PERSONAL_FULL"] = "공대원 (전체)"
L["LIST_RAIDLEADER_BRIEF"] = "공대장 (브리핑)"
L["LIST_RAIDLEADER_FULL"] = "공대장 (전체)"
L["LISTSUFFIX_B"] = " (브리핑)"
L["LISTSUFFIX_CB"] = " (브리핑/간단히)"
L["LISTSUFFIX_CF"] = " (전체/간단히)"
L["LISTSUFFIX_F"] = " (전체)"
L["LISTSUFFIX_P"] = " (소환수만)"
L["MASTERY"] = "특화" -- Needs review
L["MISC"] = "기타"
L["MISSINGTALENTS"] = "특성정보를 불러오지 못한 플레이어:"
L["MOBILITY_CONTROL"] = "이동 제어" -- Needs review
L["MORTALSTRIKE"] = "치유 효과 감소" -- Needs review
L["NOBODY"] = "<아무도 없음>"
L["NORMAL"] = "보통"
L["NOWINSPECTING"] = "특성정보 읽어오는 중:"
L["OFFLINE"] = "(오프라인)"
L["OFFMAGIC"] = "마법 효과 제거 (적대적 대상)"
L["OPACITY"] = "목록 투명도"
L["OPACITYDESC"] = "체크리스트의 투명도를 결정합니다.0에 가까울수록 투명합니다."
L["OPENDIRECTION"] = "공격대 체크 리스트 방향"
L["OPENDIRECTIONDESC"] = "앵커 버튼으로부터 공격대 체크 리스트를 여는 방향을 설정합니다."
L["PET"] = " 소환수: "
L["PHYSDMGTAKEN"] = "물리 피해 증가" -- Needs review
L["PHYSHASTE"] = "공격 속도" -- Needs review
L["POISON"] = "독 효과 제거"
L["PROFILES"] = "프로필"
L["PROVIDEDBY"] = "가능한 플레이어:"
L["Raid Checklist"] = "공격대 체크 리스트"
L["RAIDCHECKLIST_TOGGLE"] = "공격대 체크 리스트 보이기/감추기"
L["RESCAN"] = "갱신" -- Needs review
L["RESCANHELP"] = "공대원 정보를 갱신합니다" -- Needs review
L["RESETANCHOR"] = "위치 초기화"
L["RESETANCHORDESC"] = "앵커 버튼의 위치를 화면의 중앙으로 초기화 합니다."
L["RIGHT"] = "우측"
L["ROOT"] = "이동불가 (유지가능)"
L["SETTINGS"] = "세팅"
L["SHOWANCHOR"] = "앵커 버튼 보이기"
L["SHOWANCHORDESC"] = "브로커계열 애드온 사용시 메인 앵커 버튼을 표시하지 않아도 됩니다."
L["SMALL"] = "작게"
L["SNARE"] = "이동속도 감소 (유지가능)"
L["SPELLDMGTAKEN"] = "마법 피해 증가" -- Needs review
L["SPELLHASTE"] = "주문 가속" -- Needs review
L["SPELLPWR"] = "주문력" -- Needs review
L["STAM"] = "체력" -- Needs review
L["STATS"] = "능력치" -- Needs review
L["STDLIST"] = "기본 목록"
L["STDLISTDESC"] = "기본적인 체크리스트를 사용하였습니다. 자동으로 캐릭터의 클래스를 조정합니다."
L["STUN"] = "기절" -- Needs review
L["SUNDER"] = "방어도 약화" -- Needs review
L["SUPPORT"] = "지원" -- Needs review
L["TALENT"] = "특성"
L["TOOLTIP_PASSIVE"] = "(지속효과)" -- Needs review
L["TOOLTIP_TALENT"] = "(특성)" -- Needs review
L["TOTEMS"] = "토템" -- Needs review
L["TRANSLATORS"] = "노분노씹새끼 Durotan(KR), 순듸windrunner(KR)" -- Needs review
L["UPLEFT"] = "좌측, 상단"
L["UPRIGHT"] = "우측, 상단"
L["WARLOCKPETABILITIES"] = "흑마법사 소환수 능력"
L["WEAKBLOWS"] = "물리 공격력 감소" -- Needs review

elseif locale == "ptBR" then
-- P["ABYSSAL"] = ""
-- P["BASILISK"] = ""
-- P["BAT"] = ""
-- P["BEAR"] = ""
-- P["BEETLE"] = ""
-- P["BIRDOFPREY"] = ""
-- P["BOAR"] = ""
-- P["CARRIONBIRD"] = ""
-- P["CAT"] = ""
-- P["CHIMAERA"] = ""
-- P["COREHOUND"] = ""
-- P["CRAB"] = ""
-- P["CRANE"] = ""
-- P["CROCOLISK"] = ""
-- P["DEVILSAUR"] = ""
-- P["DIREHORN"] = ""
-- P["DOG"] = ""
-- P["DOOMGUARD"] = ""
-- P["DRAGONHAWK"] = ""
-- P["EARTHELEMENTAL"] = ""
-- P["FELGUARD"] = ""
-- P["FELHUNTER"] = ""
-- P["FELIMP"] = ""
-- P["FIREELEMENTAL"] = ""
-- P["FOX"] = ""
-- P["GEIST"] = ""
-- P["GHOUL"] = ""
-- P["GOAT"] = ""
-- P["GORILLA"] = ""
-- P["HYDRA"] = ""
-- P["HYENA"] = ""
-- P["IMP"] = ""
-- P["MONKEY"] = ""
-- P["MOTH"] = ""
-- P["NETHERRAY"] = ""
-- P["OBSERVER"] = ""
-- P["PORCUPINE"] = ""
-- P["QUILEN"] = ""
-- P["RAPTOR"] = ""
-- P["RAVAGER"] = ""
-- P["RHINO"] = ""
-- P["SCORPID"] = ""
-- P["SERPENT"] = ""
-- P["SHALESPIDER"] = ""
-- P["SHIVARRA"] = ""
-- P["SILITHID"] = ""
-- P["SPIDER"] = ""
-- P["SPIRITBEAST"] = ""
-- P["SPOREBAT"] = ""
-- P["SUCCUBUS"] = ""
-- P["SupportedLocale"] = ""
-- P["TALLSTRIDER"] = ""
-- P["TERRORGUARD"] = ""
-- P["TURTLE"] = ""
-- P["VOIDLORD"] = ""
-- P["VOIDWALKER"] = ""
-- P["WARPSTALKER"] = ""
-- P["WASP"] = ""
-- P["WATERELEMENTAL"] = ""
-- P["WATERSTRIDER"] = ""
-- P["WINDSERPENT"] = ""
-- P["WOLF"] = ""
-- P["WORM"] = ""
-- P["WRATHGUARD"] = ""

-- L["ABOUT"] = ""
-- L["ADVLIST"] = ""
-- L["ADVLISTDESC"] = ""
-- L["ANCHORLOCKED"] = ""
-- L["ANCHORLOCKEDDESC"] = ""
-- L["AOESNARE"] = ""
-- L["AOESTUN"] = ""
-- L["ATTACKPWR"] = ""
-- L["ATTACKSPD"] = ""
-- L["AVAILABLEFROM"] = ""
-- L["BLOODELF"] = ""
-- L["BLOODLUST"] = ""
-- L["BUFFS"] = ""
-- L["BURSTMAGICPROT"] = ""
-- L["BURSTMANA"] = ""
-- L["CASTSPD"] = ""
-- L["CC"] = ""
-- L["CCANY"] = ""
-- L["CCBEASTS"] = ""
-- L["CCDEMONS"] = ""
-- L["CCDRAGONKIN"] = ""
-- L["CCELEMENTALS"] = ""
-- L["CCGIANTS"] = ""
-- L["CCHUMANOIDS"] = ""
-- L["CCUNDEAD"] = ""
-- L["COMBATRES"] = ""
-- L["CONFIG"] = ""
-- L["CRIT"] = ""
-- L["CURSE"] = ""
-- L["DEBUFFS"] = ""
-- L["DEFMAGIC"] = ""
-- L["DETAILS"] = ""
-- L["DETAILSSIDE"] = ""
-- L["DETAILSSIDEDESC"] = ""
-- L["DISARM"] = ""
-- L["DISEASE"] = ""
-- L["DISPELS"] = ""
-- L["DOWNLEFT"] = ""
-- L["DOWNRIGHT"] = ""
-- L["ENRAGE"] = ""
-- L["FEARANY"] = ""
-- L["FEARBEASTS"] = ""
-- L["FEARUNDEAD"] = ""
-- L["FILTERGROUPS"] = ""
-- L["FONTSIZE"] = ""
-- L["FONTSIZEDESC"] = ""
-- L["GLYPH"] = ""
-- L["GROUP"] = ""
-- L["HELP"] = ""
-- L["HELP_COLORS"] = ""
-- L["HELP_COLORS_HDR"] = ""
-- L["HELP_COMMANDS"] = ""
-- L["HELP_COMMANDS_HDR"] = ""
-- L["HELP_FLAG"] = ""
-- L["HELP_FLAG_HDR"] = ""
-- L["HELP_HUNTERPETS"] = ""
-- L["HELP_HUNTERPETS_HDR"] = ""
-- L["HELP_INCOMBAT"] = ""
-- L["HELP_INCOMBAT_HDR"] = ""
-- L["HELP_INTRO"] = ""
-- L["HELP_INTRO_HDR"] = ""
-- L["HELP_LINKING"] = ""
-- L["HELP_LINKING_HDR"] = ""
-- L["HELP_TALENTSCAN"] = ""
-- L["HELP_TALENTSCAN_HDR"] = ""
-- L["HUNTERPETABILITIES"] = ""
-- L["INSPECTQUEUE"] = ""
-- L["INTERRUPT"] = ""
-- L["INTERRUPT2"] = ""
-- L["KNOCKBACK"] = ""
-- L["LDBTOOLTIP"] = ""
-- L["LEFT"] = ""
-- L["LEVEL"] = ""
-- L["LIST_PERSONAL_BRIEF"] = ""
-- L["LIST_PERSONAL_FULL"] = ""
-- L["LIST_RAIDLEADER_BRIEF"] = ""
-- L["LIST_RAIDLEADER_FULL"] = ""
-- L["LISTSUFFIX_B"] = ""
-- L["LISTSUFFIX_CB"] = ""
-- L["LISTSUFFIX_CF"] = ""
-- L["LISTSUFFIX_F"] = ""
-- L["LISTSUFFIX_P"] = ""
-- L["MASTERY"] = ""
-- L["MISC"] = ""
-- L["MISSINGTALENTS"] = ""
-- L["MOBILITY_CONTROL"] = ""
-- L["MORTALSTRIKE"] = ""
-- L["NOBODY"] = ""
-- L["NORMAL"] = ""
-- L["NOWINSPECTING"] = ""
-- L["OFFLINE"] = ""
-- L["OFFMAGIC"] = ""
-- L["OPACITY"] = ""
-- L["OPACITYDESC"] = ""
-- L["OPENDIRECTION"] = ""
-- L["OPENDIRECTIONDESC"] = ""
-- L["PET"] = ""
-- L["PHYSDMGTAKEN"] = ""
-- L["PHYSHASTE"] = ""
-- L["POISON"] = ""
-- L["PROFILES"] = ""
-- L["PROVIDEDBY"] = ""
-- L["Raid Checklist"] = ""
-- L["RAIDCHECKLIST_TOGGLE"] = ""
-- L["RESCAN"] = ""
-- L["RESCANHELP"] = ""
-- L["RESETANCHOR"] = ""
-- L["RESETANCHORDESC"] = ""
-- L["RIGHT"] = ""
-- L["ROOT"] = ""
-- L["SETTINGS"] = ""
-- L["SHOWANCHOR"] = ""
-- L["SHOWANCHORDESC"] = ""
-- L["SMALL"] = ""
-- L["SNARE"] = ""
-- L["SPELLDMGTAKEN"] = ""
-- L["SPELLHASTE"] = ""
-- L["SPELLPWR"] = ""
-- L["STAM"] = ""
-- L["STATS"] = ""
-- L["STDLIST"] = ""
-- L["STDLISTDESC"] = ""
-- L["STUN"] = ""
-- L["SUNDER"] = ""
-- L["SUPPORT"] = ""
-- L["TALENT"] = ""
-- L["TOOLTIP_PASSIVE"] = ""
-- L["TOOLTIP_TALENT"] = ""
-- L["TOTEMS"] = ""
-- L["TRANSLATORS"] = ""
-- L["UPLEFT"] = ""
-- L["UPRIGHT"] = ""
-- L["WARLOCKPETABILITIES"] = ""
-- L["WEAKBLOWS"] = ""

elseif locale == "ruRU" then
P["ABYSSAL"] = "Абиссал"
P["BASILISK"] = "Василиск"
P["BAT"] = "Летучая мышь"
P["BEAR"] = "Медведь"
P["BEETLE"] = "Жук"
P["BIRDOFPREY"] = "Сова"
P["BOAR"] = "Вепрь"
P["CARRIONBIRD"] = "Падальщик"
P["CAT"] = "Кошка"
P["CHIMAERA"] = "Химера"
P["COREHOUND"] = "Гончая Недр"
P["CRAB"] = "Краб"
P["CRANE"] = "Журавль"
P["CROCOLISK"] = "Кроколиск"
P["DEVILSAUR"] = "Дьявозавр"
P["DIREHORN"] = "Дикорог"
P["DOG"] = "Собака"
P["DOOMGUARD"] = "Страж ужаса"
P["DRAGONHAWK"] = "Дракондор"
P["EARTHELEMENTAL"] = "Элементаль земли"
P["FELGUARD"] = "Страж Скверны"
P["FELHUNTER"] = "Охотник Скверны"
P["FELIMP"] = "Бес Скверны"
P["FIREELEMENTAL"] = "Элементаль огня"
P["FOX"] = "Лисица"
P["GEIST"] = "Упырь"
P["GHOUL"] = "Вурдалак"
P["GOAT"] = "Козел"
P["GORILLA"] = "Горилла"
P["HYDRA"] = "Гидра"
P["HYENA"] = "Гиена"
P["IMP"] = "Бес"
P["MONKEY"] = "Обезьяна"
P["MOTH"] = "Мотылек"
P["NETHERRAY"] = "Скат Пустоты"
P["OBSERVER"] = "Наблюдатель"
P["PORCUPINE"] = "Дикобраз"
P["QUILEN"] = "Цийлинь"
P["RAPTOR"] = "Ящер"
P["RAVAGER"] = "Опустошитель"
P["RHINO"] = "Люторог"
P["SCORPID"] = "Скорпид"
P["SERPENT"] = "Змей"
P["SHALESPIDER"] = "Сланцевый паук"
P["SHIVARRA"] = "Шиварра"
P["SILITHID"] = "Силитид"
P["SPIDER"] = "Паук"
P["SPIRITBEAST"] = "Дух зверя"
P["SPOREBAT"] = "Спороскат"
P["SUCCUBUS"] = "Суккуб"
P["SupportedLocale"] = "Almost everything is OK now."
P["TALLSTRIDER"] = "Долгоног"
P["TERRORGUARD"] = "Стражник жути"
P["TURTLE"] = "Черепаха"
P["VOIDLORD"] = "Повелитель Бездны"
P["VOIDWALKER"] = "Демон Бездны"
P["WARPSTALKER"] = "Прыгуана"
P["WASP"] = "Оса"
P["WATERELEMENTAL"] = "Элементаль воды"
P["WATERSTRIDER"] = "Водный долгоног"
P["WINDSERPENT"] = "Крылатый змей"
P["WOLF"] = "Волк"
P["WORM"] = "Червь"
P["WRATHGUARD"] = "Страж гнева"

L["ABOUT"] = "О..."
L["ADVLIST"] = "Дополнительные списки"
L["ADVLISTDESC"] = "Поклассовые списки, предлагающие выбор по содержанию и расположению"
L["ANCHORLOCKED"] = "Закрепить"
L["ANCHORLOCKEDDESC"] = "Закрепить кнопку на месте, чтобы избежать случайного сдвига."
L["AOESNARE"] = "Замедление по области (поддерживаемое)"
L["AOESTUN"] = "Оглушение по области"
L["ATTACKPWR"] = "Сила атаки"
L["ATTACKSPD"] = "Скорость атаки"
L["AVAILABLEFROM"] = "Доступно от:"
L["BLOODELF"] = "Эльф крови"
L["BLOODLUST"] = "Жажда крови/Героизм"
L["BUFFS"] = "Положительные эффекты"
L["BURSTMAGICPROT"] = "Групповая защита от магии"
L["BURSTMANA"] = "Регенерация маны"
L["CASTSPD"] = "Снижение скорости заклинаний"
L["CC"] = "Контроль"
L["CCANY"] = "Обычный - Любой"
L["CCBEASTS"] = "Обычный - Животные"
L["CCDEMONS"] = "Обычный - Демоны"
L["CCDRAGONKIN"] = "Обычный - Драконы"
L["CCELEMENTALS"] = "Обычный - Элементали"
L["CCGIANTS"] = "Обычный - Великаны"
L["CCHUMANOIDS"] = "Обычный - Гуманоиды"
L["CCUNDEAD"] = "Обычный - Нежить"
L["COMBATRES"] = "Воскрешение в бою"
L["CONFIG"] = "Конфигурация"
L["CRIT"] = "Критический удар"
L["CURSE"] = "Снятие проклятия"
L["DEBUFFS"] = "Отрицательные эффекты"
L["DEFMAGIC"] = "Рассеивание магии (с союзника)"
L["DETAILS"] = "Детальная информация о способности:"
L["DETAILSSIDE"] = "Сторона панели детальной информации"
L["DETAILSSIDEDESC"] = "С какой стороны от списка выводить панель детальной информации."
L["DISARM"] = "Разоружение"
L["DISEASE"] = "Излечение болезни"
L["DISPELS"] = "Рассеивание/Излечение"
L["DOWNLEFT"] = "Вниз, влево"
L["DOWNRIGHT"] = "Вниз, вправо"
L["ENRAGE"] = "Снятие исступления"
L["FEARANY"] = "Страх - Любой"
L["FEARBEASTS"] = "Страх - Животные"
L["FEARUNDEAD"] = "Страх - Демоны и Нежить"
L["FILTERGROUPS"] = "Для упрощения составления рейда, умения от пользователей в выбраных группах отображаются зеленым цветом. Умения от пользователей из остальных групп помечаются синим."
L["FONTSIZE"] = "Размер шрифта"
L["FONTSIZEDESC"] = "Размер шрифта, который используется в списке."
L["GLYPH"] = " (символ)"
L["GROUP"] = "Группа"
L["HELP"] = "Помощь / F.A.Q."
L["HELP_COLORS"] = [=[Каждая запись в списке имеет цвет, соответствующий статусу:

|cffb4b4b4Gray|r - Способность никем не предоставляется.

|cff0066ffBlue|r - У кого-то есть возможность предоставить рейду способность, но он находится в группе, исключенной из фильтра. Чтобы сделать возможность доступной либо переместите игрока в группу, включенную в фильтр, либо скорректируйте групповую фильтрацию в панели настроек.

|cff00ff00Green|r - По меньшей мере, один игрок предоставляет способность.

|cffff0000Red|r - Все игроки, предоставляющие способность, в режиме оффлайн.

]=]
L["HELP_COLORS_HDR"] = "Что означают цвета?"
L["HELP_COMMANDS"] = [=[Вызвать список RaidChecklist можно командами /raidchecklist или /rcl. Также вызов можно повесить на кнопку.

]=]
L["HELP_COMMANDS_HDR"] = "Какие команды чата доступны?"
L["HELP_FLAG"] = [=[Флажок означает, что только Вы можете предоставить рейду эту способность. Вам следует использовать её.

]=]
L["HELP_FLAG_HDR"] = "Что означает |TInterface\\AddOns\\RaidChecklist\\Textures\\greenflag:0|t флаг? "
L["HELP_HUNTERPETS"] = [=[Питомцы охотников рассматриваются как расширение самого охотника и RaidChecklist автоматически учитывает все возможности, предоставляемые призваными питомцами, независимо от того Ваши ли это питомцы или другого участника группы.

Для охотников RaidChecklist предоставляет дополнительные возможности. При первом посещении Смотрителя стойл RaidChecklist проверит какие питомцы доступны для призыва и запомнит их. Способности, которые могут быть представлены способностью "Призыв питомца" будут помечены синим цветом в списке. Если Вы видите синий |TInterface\AddOns\RaidChecklist\Textures\blueflag:0|t флаг в списке, это значит, что, скорее всего, Вам следует призвать питомца, который предоставляет эту способность, так как вы единственный, кто может предоставить её в текущей группе или рейде.

]=]
L["HELP_HUNTERPETS_HDR"] = "Как учитываются питомцы охотника?"
L["HELP_INCOMBAT"] = [=[Это зависит от разных факторов. RaidCheckList не сканирует изменения у членов рейда/группы постоянно, как это делают некоторые аддоны. Он "слушает" события происходящие в группе/рейде, такие как: призыв питомца, смена специализации, выход игрока из рейда/группы. Если что-то подобное происходит во время боя, то RaidCheckList обновляется, иначе нет.

Обычно любые действия RaidCheckList настолько незначительны, что почти незаметны. Худший вариант, который возможен - это когда вы присоединяетесь к рейду и Чернокнижник призывает Вас прямо в битву. Тогда сразу все члены рейда/группы становятся доступны для исследования талантов и это может повлиять на производительность, если у вас довольно низкая скорость соединения. Хотя, скорее всего, это все равно пройдет незаметно.

]=]
L["HELP_INCOMBAT_HDR"] = "Обновляется ли RaidChecklist во время боя?"
L["HELP_INTRO"] = [=[RaidChecklist предоставляет информацию о том, какие способности доступны текущей группе/рейду. Он предназначен как помощь в сборе хорошо сбалансированного рейда, так и как справочник по способностям. С RaidChecklist Вы получаете  актуальную информацию о доступных способностях в рейде или группе. 

RaidCheckList также работает как внутриигровая база способностей, сгруппированных по категориям и эффектам.

Что RaidChecklist не делает, так это не работает как монитор бафов/дебафов. Он не отслеживает использование способностей и не предоставляет статистику по их использованию. Эти функции предоставляют другие аддоны, к примеру PallyPower или Recount, не говоря уже об оффлайн анализаторах логов.

]=]
L["HELP_INTRO_HDR"] = "Введение - Что делает этот аддон?"
L["HELP_LINKING"] = [=[Да! Просто откройте панель нажатием на запись в списке, далее Shift+<левая кнопка мыши> на способности, которую Вы хотите скопировать в чат.

]=]
L["HELP_LINKING_HDR"] = "Могу ли я скопировать способности в чат?"
L["HELP_TALENTSCAN"] = [=[В Mists of Pandaria возможно удаленное обследование членов группы/рейда. Это означает, что RaidCheckList больше не нужно ждать появления члена рейда/группы в радиусе обследования. Недостатком MP является невозможность автоматически определять и учитывать, когда член рейда/группы сменит таланты или символы. Тем не менее смена специализации отслеживается и распознается.

]=]
L["HELP_TALENTSCAN_HDR"] = "Почему таланты отслеживаются даже вне зоны действия?"
L["HUNTERPETABILITIES"] = "Умения питомцев охотника"
L["INSPECTQUEUE"] = "Нужно проверить:"
L["INTERRUPT"] = "Прерывание (перезарядка <= 30с)"
L["INTERRUPT2"] = "Прерывание (перезарядка > 30с)"
L["KNOCKBACK"] = "Отбрасывание (перезарядка <= 45с)"
L["LDBTOOLTIP"] = [=[Левый клик чтобы показать/скрыть список.
Правый клик для настроек.]=]
L["LEFT"] = "Слева"
L["LEVEL"] = "уровень"
L["LIST_PERSONAL_BRIEF"] = "Личный (Краткий)"
L["LIST_PERSONAL_FULL"] = "Личный (Полный)"
L["LIST_RAIDLEADER_BRIEF"] = "Рейд лидер (Краткий)"
L["LIST_RAIDLEADER_FULL"] = "Рейд лидер (Полный)"
L["LISTSUFFIX_B"] = " (Краткий)"
L["LISTSUFFIX_CB"] = " (Краткий/Cжатый)"
L["LISTSUFFIX_CF"] = " (Полный/Cжатый)"
L["LISTSUFFIX_F"] = " (Полный)"
L["LISTSUFFIX_P"] = " (Только питомцы)"
L["MASTERY"] = "Искусность"
L["MISC"] = "Разное"
L["MISSINGTALENTS"] = "Таланты не проверены для:"
L["MOBILITY_CONTROL"] = "Ограничение передвижения"
L["MORTALSTRIKE"] = "Смертельные раны"
L["NOBODY"] = "<никто>"
L["NORMAL"] = "Нормальный"
L["NOWINSPECTING"] = "Сейчас проверяю:"
L["OFFLINE"] = "(оффлайн)"
L["OFFMAGIC"] = "Рассеивание магии (с противника)"
L["OPACITY"] = "Непрозрачность"
L["OPACITYDESC"] = "Определяет прозрачность списка. Значение 0 означает полную прозрачность, а значение 1 полную затененность."
L["OPENDIRECTION"] = "Направление выведения списка"
L["OPENDIRECTIONDESC"] = "В каком направлении открывать список, по отношению к кнопке."
L["PET"] = " питомец: "
L["PHYSDMGTAKEN"] = "Уязвимость к физическому урону"
L["PHYSHASTE"] = "Скорость атаки"
L["POISON"] = "Очищение от яда"
L["PROFILES"] = "Профили"
L["PROVIDEDBY"] = "Предоставляет:"
L["Raid Checklist"] = "Raid Checklist"
L["RAIDCHECKLIST_TOGGLE"] = "Переключить отображение Raid Checklist"
L["RESCAN"] = "Обновить"
L["RESCANHELP"] = "Принудительно перепроверить всех участников группы"
L["RESETANCHOR"] = "Сбросить позицию кнопки"
L["RESETANCHORDESC"] = "Устанавливает кнопку в центре экрана."
L["RIGHT"] = "Справа"
L["ROOT"] = "Обездвиживание (поддерживаемое)"
L["SETTINGS"] = "Настройки"
L["SHOWANCHOR"] = "Показать кнопку"
L["SHOWANCHORDESC"] = "При использовании DataBroker, можно скрыть кнопку."
L["SMALL"] = "Маленький"
L["SNARE"] = "Замедление (поддерживаемое)"
L["SPELLDMGTAKEN"] = "Уязвимость к магическому урону"
L["SPELLHASTE"] = "Скорость заклинаний"
L["SPELLPWR"] = "Сила заклинаний"
L["STAM"] = "Выносливость"
L["STATS"] = "Параметры"
L["STDLIST"] = "Стандартные списки"
L["STDLISTDESC"] = "Наиболее часто используемые cписки. Автоматически подстраиваются под класс вашего персонажа."
L["STUN"] = "Оглушение"
L["SUNDER"] = "Ослабление брони"
L["SUPPORT"] = "Поддержка"
L["TALENT"] = "талант"
L["TOOLTIP_PASSIVE"] = " (пассивная)"
L["TOOLTIP_TALENT"] = " (талант)"
L["TOTEMS"] = "Тотемы"
L["TRANSLATORS"] = "GreenSmile, Susuro"
L["UPLEFT"] = "Вверх, влево"
L["UPRIGHT"] = "Вверх, вправо"
L["WARLOCKPETABILITIES"] = "Способности прислужников чернокнижника"
L["WEAKBLOWS"] = "Ослабление ударов"

elseif locale == "zhCN" then
-- P["ABYSSAL"] = ""
-- P["BASILISK"] = ""
-- P["BAT"] = ""
-- P["BEAR"] = ""
-- P["BEETLE"] = ""
-- P["BIRDOFPREY"] = ""
-- P["BOAR"] = ""
-- P["CARRIONBIRD"] = ""
-- P["CAT"] = ""
-- P["CHIMAERA"] = ""
-- P["COREHOUND"] = ""
-- P["CRAB"] = ""
-- P["CRANE"] = ""
-- P["CROCOLISK"] = ""
-- P["DEVILSAUR"] = ""
-- P["DIREHORN"] = ""
-- P["DOG"] = ""
-- P["DOOMGUARD"] = ""
-- P["DRAGONHAWK"] = ""
-- P["EARTHELEMENTAL"] = ""
-- P["FELGUARD"] = ""
-- P["FELHUNTER"] = ""
-- P["FELIMP"] = ""
-- P["FIREELEMENTAL"] = ""
-- P["FOX"] = ""
-- P["GEIST"] = ""
-- P["GHOUL"] = ""
-- P["GOAT"] = ""
-- P["GORILLA"] = ""
-- P["HYDRA"] = ""
-- P["HYENA"] = ""
-- P["IMP"] = ""
-- P["MONKEY"] = ""
-- P["MOTH"] = ""
-- P["NETHERRAY"] = ""
-- P["OBSERVER"] = ""
-- P["PORCUPINE"] = ""
-- P["QUILEN"] = ""
-- P["RAPTOR"] = ""
-- P["RAVAGER"] = ""
-- P["RHINO"] = ""
-- P["SCORPID"] = ""
-- P["SERPENT"] = ""
-- P["SHALESPIDER"] = ""
-- P["SHIVARRA"] = ""
-- P["SILITHID"] = ""
-- P["SPIDER"] = ""
-- P["SPIRITBEAST"] = ""
-- P["SPOREBAT"] = ""
-- P["SUCCUBUS"] = ""
-- P["SupportedLocale"] = ""
-- P["TALLSTRIDER"] = ""
-- P["TERRORGUARD"] = ""
-- P["TURTLE"] = ""
-- P["VOIDLORD"] = ""
-- P["VOIDWALKER"] = ""
-- P["WARPSTALKER"] = ""
-- P["WASP"] = ""
-- P["WATERELEMENTAL"] = ""
-- P["WATERSTRIDER"] = ""
-- P["WINDSERPENT"] = ""
-- P["WOLF"] = ""
-- P["WORM"] = ""
-- P["WRATHGUARD"] = ""

-- L["ABOUT"] = ""
-- L["ADVLIST"] = ""
-- L["ADVLISTDESC"] = ""
-- L["ANCHORLOCKED"] = ""
-- L["ANCHORLOCKEDDESC"] = ""
-- L["AOESNARE"] = ""
-- L["AOESTUN"] = ""
-- L["ATTACKPWR"] = ""
-- L["ATTACKSPD"] = ""
-- L["AVAILABLEFROM"] = ""
-- L["BLOODELF"] = ""
-- L["BLOODLUST"] = ""
-- L["BUFFS"] = ""
-- L["BURSTMAGICPROT"] = ""
-- L["BURSTMANA"] = ""
-- L["CASTSPD"] = ""
-- L["CC"] = ""
-- L["CCANY"] = ""
-- L["CCBEASTS"] = ""
-- L["CCDEMONS"] = ""
-- L["CCDRAGONKIN"] = ""
-- L["CCELEMENTALS"] = ""
-- L["CCGIANTS"] = ""
-- L["CCHUMANOIDS"] = ""
-- L["CCUNDEAD"] = ""
-- L["COMBATRES"] = ""
-- L["CONFIG"] = ""
-- L["CRIT"] = ""
-- L["CURSE"] = ""
-- L["DEBUFFS"] = ""
-- L["DEFMAGIC"] = ""
-- L["DETAILS"] = ""
-- L["DETAILSSIDE"] = ""
-- L["DETAILSSIDEDESC"] = ""
-- L["DISARM"] = ""
-- L["DISEASE"] = ""
-- L["DISPELS"] = ""
-- L["DOWNLEFT"] = ""
-- L["DOWNRIGHT"] = ""
-- L["ENRAGE"] = ""
-- L["FEARANY"] = ""
-- L["FEARBEASTS"] = ""
-- L["FEARUNDEAD"] = ""
-- L["FILTERGROUPS"] = ""
-- L["FONTSIZE"] = ""
-- L["FONTSIZEDESC"] = ""
-- L["GLYPH"] = ""
-- L["GROUP"] = ""
-- L["HELP"] = ""
-- L["HELP_COLORS"] = ""
-- L["HELP_COLORS_HDR"] = ""
-- L["HELP_COMMANDS"] = ""
-- L["HELP_COMMANDS_HDR"] = ""
-- L["HELP_FLAG"] = ""
-- L["HELP_FLAG_HDR"] = ""
-- L["HELP_HUNTERPETS"] = ""
-- L["HELP_HUNTERPETS_HDR"] = ""
-- L["HELP_INCOMBAT"] = ""
-- L["HELP_INCOMBAT_HDR"] = ""
-- L["HELP_INTRO"] = ""
-- L["HELP_INTRO_HDR"] = ""
-- L["HELP_LINKING"] = ""
-- L["HELP_LINKING_HDR"] = ""
-- L["HELP_TALENTSCAN"] = ""
-- L["HELP_TALENTSCAN_HDR"] = ""
-- L["HUNTERPETABILITIES"] = ""
-- L["INSPECTQUEUE"] = ""
-- L["INTERRUPT"] = ""
-- L["INTERRUPT2"] = ""
-- L["KNOCKBACK"] = ""
-- L["LDBTOOLTIP"] = ""
-- L["LEFT"] = ""
-- L["LEVEL"] = ""
-- L["LIST_PERSONAL_BRIEF"] = ""
-- L["LIST_PERSONAL_FULL"] = ""
-- L["LIST_RAIDLEADER_BRIEF"] = ""
-- L["LIST_RAIDLEADER_FULL"] = ""
-- L["LISTSUFFIX_B"] = ""
-- L["LISTSUFFIX_CB"] = ""
-- L["LISTSUFFIX_CF"] = ""
-- L["LISTSUFFIX_F"] = ""
-- L["LISTSUFFIX_P"] = ""
-- L["MASTERY"] = ""
-- L["MISC"] = ""
-- L["MISSINGTALENTS"] = ""
-- L["MOBILITY_CONTROL"] = ""
-- L["MORTALSTRIKE"] = ""
-- L["NOBODY"] = ""
-- L["NORMAL"] = ""
-- L["NOWINSPECTING"] = ""
-- L["OFFLINE"] = ""
-- L["OFFMAGIC"] = ""
-- L["OPACITY"] = ""
-- L["OPACITYDESC"] = ""
-- L["OPENDIRECTION"] = ""
-- L["OPENDIRECTIONDESC"] = ""
-- L["PET"] = ""
-- L["PHYSDMGTAKEN"] = ""
-- L["PHYSHASTE"] = ""
-- L["POISON"] = ""
-- L["PROFILES"] = ""
-- L["PROVIDEDBY"] = ""
-- L["Raid Checklist"] = ""
-- L["RAIDCHECKLIST_TOGGLE"] = ""
-- L["RESCAN"] = ""
-- L["RESCANHELP"] = ""
-- L["RESETANCHOR"] = ""
-- L["RESETANCHORDESC"] = ""
-- L["RIGHT"] = ""
-- L["ROOT"] = ""
-- L["SETTINGS"] = ""
-- L["SHOWANCHOR"] = ""
-- L["SHOWANCHORDESC"] = ""
-- L["SMALL"] = ""
-- L["SNARE"] = ""
-- L["SPELLDMGTAKEN"] = ""
-- L["SPELLHASTE"] = ""
-- L["SPELLPWR"] = ""
-- L["STAM"] = ""
-- L["STATS"] = ""
-- L["STDLIST"] = ""
-- L["STDLISTDESC"] = ""
-- L["STUN"] = ""
-- L["SUNDER"] = ""
-- L["SUPPORT"] = ""
-- L["TALENT"] = ""
-- L["TOOLTIP_PASSIVE"] = ""
-- L["TOOLTIP_TALENT"] = ""
-- L["TOTEMS"] = ""
-- L["TRANSLATORS"] = ""
-- L["UPLEFT"] = ""
-- L["UPRIGHT"] = ""
-- L["WARLOCKPETABILITIES"] = ""
-- L["WEAKBLOWS"] = ""

elseif locale == "zhTW" then
-- P["ABYSSAL"] = ""
-- P["BASILISK"] = ""
P["BAT"] = "蝙蝠"
P["BEAR"] = "熊"
P["BEETLE"] = "甲蟲"
P["BIRDOFPREY"] = "猛禽"
P["BOAR"] = "野豬"
P["CARRIONBIRD"] = "食腐鳥"
P["CAT"] = "豹"
P["CHIMAERA"] = "奇美拉"
P["COREHOUND"] = "熔核犬"
P["CRAB"] = "螃蟹"
-- P["CRANE"] = ""
P["CROCOLISK"] = "鱷魚"
P["DEVILSAUR"] = "魔暴龍"
-- P["DIREHORN"] = ""
P["DOG"] = "狗"
P["DOOMGUARD"] = "末日守衛"
P["DRAGONHAWK"] = "龍鷹"
-- P["EARTHELEMENTAL"] = ""
P["FELGUARD"] = "惡魔守衛"
P["FELHUNTER"] = "惡魔獵犬"
-- P["FELIMP"] = ""
-- P["FIREELEMENTAL"] = ""
P["FOX"] = "狐狸"
-- P["GEIST"] = ""
P["GHOUL"] = "食屍鬼"
-- P["GOAT"] = ""
P["GORILLA"] = "猩猩"
-- P["HYDRA"] = ""
P["HYENA"] = "土狼"
P["IMP"] = "小鬼"
P["MONKEY"] = "猴子"
P["MOTH"] = "蛾"
P["NETHERRAY"] = "虛空鰭刺"
-- P["OBSERVER"] = ""
-- P["PORCUPINE"] = ""
-- P["QUILEN"] = ""
P["RAPTOR"] = "迅猛龍"
P["RAVAGER"] = "劫毀者"
P["RHINO"] = "犀牛"
P["SCORPID"] = "蠍子"
P["SERPENT"] = "毒蛇"
P["SHALESPIDER"] = "岩蛛"
-- P["SHIVARRA"] = ""
P["SILITHID"] = "異種蟲"
P["SPIDER"] = "蜘蛛"
P["SPIRITBEAST"] = "靈獸"
P["SPOREBAT"] = "孢子蝙蝠"
P["SUCCUBUS"] = "魅魔"
-- P["SupportedLocale"] = ""
P["TALLSTRIDER"] = "陸行鳥"
-- P["TERRORGUARD"] = ""
P["TURTLE"] = "海龜"
-- P["VOIDLORD"] = ""
P["VOIDWALKER"] = "虛無行者"
P["WARPSTALKER"] = "扭曲巡者"
P["WASP"] = "黃蜂"
P["WATERELEMENTAL"] = "水元素"
-- P["WATERSTRIDER"] = ""
P["WINDSERPENT"] = "風蛇"
P["WOLF"] = "狼"
P["WORM"] = "蟲類"
-- P["WRATHGUARD"] = ""

-- L["ABOUT"] = ""
-- L["ADVLIST"] = ""
-- L["ADVLISTDESC"] = ""
L["ANCHORLOCKED"] = "已鎖定"
-- L["ANCHORLOCKEDDESC"] = ""
L["AOESNARE"] = "區域陷阱/減速 (chain-castable)"
-- L["AOESTUN"] = ""
-- L["ATTACKPWR"] = ""
-- L["ATTACKSPD"] = ""
-- L["AVAILABLEFROM"] = ""
L["BLOODELF"] = "血精H"
-- L["BLOODLUST"] = ""
-- L["BUFFS"] = ""
-- L["BURSTMAGICPROT"] = ""
-- L["BURSTMANA"] = ""
-- L["CASTSPD"] = ""
-- L["CC"] = ""
L["CCANY"] = "綜合 - 所有"
L["CCBEASTS"] = "綜合 - 野獸"
L["CCDEMONS"] = "綜合 - 惡魔"
L["CCDRAGONKIN"] = "綜合 - 龍類"
L["CCELEMENTALS"] = "綜合 - 元素"
L["CCGIANTS"] = "綜合 - 巨人"
L["CCHUMANOIDS"] = "綜合 - 人行"
L["CCUNDEAD"] = "綜合 - 不死"
-- L["COMBATRES"] = ""
L["CONFIG"] = "設置"
-- L["CRIT"] = ""
L["CURSE"] = "解除詛咒"
-- L["DEBUFFS"] = ""
L["DEFMAGIC"] = "驅散魔法 (防守)"
L["DETAILS"] = "詳細能力訊息:"
L["DETAILSSIDE"] = "面板兩側顯示詳細信息"
-- L["DETAILSSIDEDESC"] = ""
L["DISARM"] = "繳械"
L["DISEASE"] = "祛病術"
L["DISPELS"] = "驅散/祛病"
L["DOWNLEFT"] = "下, 左"
L["DOWNRIGHT"] = "下, 右"
L["ENRAGE"] = "移除狂怒 (攻擊)"
L["FEARANY"] = "恐懼 - 所有"
L["FEARBEASTS"] = "恐懼 - 野獸"
L["FEARUNDEAD"] = "恐懼 - 惡魔 & 不死"
-- L["FILTERGROUPS"] = ""
L["FONTSIZE"] = "字型大小"
L["FONTSIZEDESC"] = "檢查清單使用的字體大小"
-- L["GLYPH"] = ""
L["GROUP"] = "組隊"
-- L["HELP"] = ""
-- L["HELP_COLORS"] = ""
-- L["HELP_COLORS_HDR"] = ""
-- L["HELP_COMMANDS"] = ""
-- L["HELP_COMMANDS_HDR"] = ""
-- L["HELP_FLAG"] = ""
-- L["HELP_FLAG_HDR"] = ""
-- L["HELP_HUNTERPETS"] = ""
-- L["HELP_HUNTERPETS_HDR"] = ""
-- L["HELP_INCOMBAT"] = ""
-- L["HELP_INCOMBAT_HDR"] = ""
-- L["HELP_INTRO"] = ""
-- L["HELP_INTRO_HDR"] = ""
-- L["HELP_LINKING"] = ""
-- L["HELP_LINKING_HDR"] = ""
-- L["HELP_TALENTSCAN"] = ""
-- L["HELP_TALENTSCAN_HDR"] = ""
-- L["HUNTERPETABILITIES"] = ""
L["INSPECTQUEUE"] = "尚未檢查:"
L["INTERRUPT"] = "斷法 (冷卻 <= 30秒)"
L["INTERRUPT2"] = "斷法 (冷卻 > 30秒)"
L["KNOCKBACK"] = "擊退 (冷卻 <= 45秒)"
L["LDBTOOLTIP"] = [=[左鍵-點擊 切換團隊檢查清單。
右鍵-點擊 開啟設置選項。]=]
L["LEFT"] = "左"
L["LEVEL"] = "等級"
-- L["LIST_PERSONAL_BRIEF"] = ""
-- L["LIST_PERSONAL_FULL"] = ""
-- L["LIST_RAIDLEADER_BRIEF"] = ""
-- L["LIST_RAIDLEADER_FULL"] = ""
-- L["LISTSUFFIX_B"] = ""
-- L["LISTSUFFIX_CB"] = ""
-- L["LISTSUFFIX_CF"] = ""
-- L["LISTSUFFIX_F"] = ""
-- L["LISTSUFFIX_P"] = ""
-- L["MASTERY"] = ""
-- L["MISC"] = ""
L["MISSINGTALENTS"] = "天賦尚未檢查:"
-- L["MOBILITY_CONTROL"] = ""
-- L["MORTALSTRIKE"] = ""
-- L["NOBODY"] = ""
L["NORMAL"] = "普通"
L["NOWINSPECTING"] = "現在檢查中:"
L["OFFLINE"] = "(離線)"
L["OFFMAGIC"] = "驅散魔法 (攻擊)"
-- L["OPACITY"] = ""
-- L["OPACITYDESC"] = ""
L["OPENDIRECTION"] = "清單方向"
-- L["OPENDIRECTIONDESC"] = ""
L["PET"] = " 寵物: "
-- L["PHYSDMGTAKEN"] = ""
-- L["PHYSHASTE"] = ""
L["POISON"] = "清除疾病"
-- L["PROFILES"] = ""
-- L["PROVIDEDBY"] = ""
L["Raid Checklist"] = "團隊檢查清單"
L["RAIDCHECKLIST_TOGGLE"] = "切換團隊檢查清單"
-- L["RESCAN"] = ""
-- L["RESCANHELP"] = ""
L["RESETANCHOR"] = "重置按鈕位置"
-- L["RESETANCHORDESC"] = ""
L["RIGHT"] = "右"
L["ROOT"] = "定身 (chain-castable)"
-- L["SETTINGS"] = ""
L["SHOWANCHOR"] = "顯示錨點按鈕"
L["SHOWANCHORDESC"] = "當使用DataBroker顯示，可能沒有必要顯示主錨點按鈕。"
-- L["SMALL"] = ""
L["SNARE"] = "陷阱/減速 (chain-castable)"
-- L["SPELLDMGTAKEN"] = ""
-- L["SPELLHASTE"] = ""
-- L["SPELLPWR"] = ""
-- L["STAM"] = ""
-- L["STATS"] = ""
-- L["STDLIST"] = ""
-- L["STDLISTDESC"] = ""
-- L["STUN"] = ""
-- L["SUNDER"] = ""
-- L["SUPPORT"] = ""
L["TALENT"] = "天賦"
-- L["TOOLTIP_PASSIVE"] = ""
-- L["TOOLTIP_TALENT"] = ""
-- L["TOTEMS"] = ""
-- L["TRANSLATORS"] = ""
L["UPLEFT"] = "上, 左"
L["UPRIGHT"] = "上, 右"
-- L["WARLOCKPETABILITIES"] = ""
-- L["WEAKBLOWS"] = ""

end

-- Spec id -> localized name lookup
local spec2name = {}
for i=1,500 do
  id, name = GetSpecializationInfoByID(i)
  if id then
    spec2name[id] = name
  end
end

function RCSpecName (gid)
  local name = spec2name[gid]
  if name then
    name = "("..name..")"
  end
  return name
end


-- Colorized class names
local classes = {}
FillLocalizedClassList (classes)
L.HUNTER      = ClassColorString ("HUNTER")     .. classes.HUNTER
L.WARRIOR     = ClassColorString ("WARRIOR")    .. classes.WARRIOR
L.DEATHKNIGHT = ClassColorString ("DEATHKNIGHT").. classes.DEATHKNIGHT
L.PRIEST      = ClassColorString ("PRIEST")     .. classes.PRIEST
L.SHAMAN      = ClassColorString ("SHAMAN")     .. classes.SHAMAN
L.PALADIN     = ClassColorString ("PALADIN")    .. classes.PALADIN
L.DRUID       = ClassColorString ("DRUID")      .. classes.DRUID
L.WARLOCK     = ClassColorString ("WARLOCK")    .. classes.WARLOCK
L.ROGUE       = ClassColorString ("ROGUE")      .. classes.ROGUE
L.MAGE        = ClassColorString ("MAGE")       .. classes.MAGE
L.MONK        = ClassColorString ("MONK")       .. classes.MONK
L[UNKNOWN]    = ClassColorString (UNKNOWN)      .. UNKNOWN

-- Specializations, now automatically looked up - yay!
L.AFFLICTION    = RCSpecName (265)
L.ARCANE        = RCSpecName ( 62)
L.ARMS          = RCSpecName ( 71)
L.ASSASSINATION = RCSpecName (259)
L.BALANCE       = RCSpecName (102)
L.BEASTMASTER   = RCSpecName (253)
L.BLOOD         = RCSpecName (250)
L.BREWMASTER    = RCSpecName (268)
L.COMBAT        = RCSpecName (260)
L.DEMONOLOGY    = RCSpecName (266)
L.DESTRUCTION   = RCSpecName (267)
L.DISCIPLINE    = RCSpecName (256)
L.ELEMENTAL     = RCSpecName (262)
L.ENHANCEMENT   = RCSpecName (263)
L.FERAL         = RCSpecName (103)
L.FIRE          = RCSpecName ( 63)
L.FROSTMAGE     = RCSpecName ( 64)
L.FROSTDK       = RCSpecName (251)
L.FURY          = RCSpecName ( 72)
L.GUARDIAN      = RCSpecName (104)
L.HOLYPALADIN   = RCSpecName ( 65)
L.HOLYPRIEST    = RCSpecName (257)
L.MARKSMAN      = RCSpecName (254)
L.MISTWEAVER    = RCSpecName (270)
L.PROTPALADIN   = RCSpecName ( 66)
L.PROTWARRIOR   = RCSpecName ( 73)
L.RESTOSHAMAN   = RCSpecName (264)
L.RESTODRUID    = RCSpecName (105)
L.RETRIBUTION   = RCSpecName ( 70)
L.SHADOW        = RCSpecName (258)
L.SUBTLETY      = RCSpecName (261)
L.SURVIVAL      = RCSpecName (255)
L.UNHOLY        = RCSpecName (252)
L.WINDWALKER    = RCSpecName (269)
-- Ferocity = 74
-- Cunning = 79
-- Tenacity = 81

-- Cardinality
L[0]              = "" -- Don't show a number for missing abilities
L[1]              = "" -- If there's only one, we don't really need to show a number for it (in fact it looks silly when soloing)
L[2]              = "(2)"
L[3]              = "(3)"
L[4]              = "(4)"
L[5]              = "(5)"
L[6]              = "(6)"
L[7]              = "(7)"
L[8]              = "(8)"
L[9]              = "(9)"
L.MANY            = "(*)" -- Life is easier if we can keep things the same width (single digits). Of course, this might be a very western notion... feel free to educate me!

-- Flag whether we should even attempt to run, given the state of the localization data
if not P.SupportedLocale then
  print ("|cffff0000>> Raid Checklist is not supported for your locale ("..GetLocale()..") yet, sorry")
  RaidChecklist = nil
  return
end

